000001 IDENTIFICATION DIVISION.                                         *MC05767
000002* WRN: THE FOLLOWING CODE MAY BE REPLACED                         *MC05768
000003*      USING HEADER DIVISION MACROS - SEE WIMP ITEM SC00FW        *MC05768
000004 PROGRAM-ID. P72047.                                              *MC05768
000005 DATE-WRITTEN. NOV 1999.                                          *MC05769
000006*AUTHOR.        LESLEY NOBLE.                                     *MC05770
000007*                                                                 *MC05771
000008*******************************************************************MC05772
000009*                DATA WAREHOUSE  -  DATA STAGING                 **MC05773
000010*                                 **MC05774
000011*                      DELTA & CLEAN LAYER                       **MC05775
000012*                                                                **MC05776
000013*      MAIN PROGRAM FOR ENQUIRER RECORDS                         **MC05777
000014*                                                                **MC05778
000015* -------------------------------------------------------------- **MC05779
000016*                        AMENDMENT LOG                           **MC05780
000017* -------------------------------------------------------------- **MC05781
000018* WORK NO  ACID   DD.MM.YY  BRIEF DESCRIPTION                 **MC05782
000019* -------------------------------------------------------------- **MC05783
000020*                                                             **MC05784
000021*******************************************************************MC05785
000022 ENVIRONMENT DIVISION.                                            *MC05786
000023 INPUT-OUTPUT SECTION.                                            *MC05787
000024 FILE-CONTROL.                                                    *MC05788
000025     SELECT NEWFILE              ASSIGN TO NEWFILE.               *MC05789
000026     SELECT NEWCNTL              ASSIGN TO NEWCNTL.               *MC05790
000027     SELECT PREVFILE             ASSIGN TO PREVFILE.              *MC05791
000028     SELECT PREVCNTL             ASSIGN TO PREVCNTL.              *MC05792
000029     SELECT DWRUNPRM             ASSIGN TO DWRUNPRM.              *MC05793
000030                                                                  *MC05794
000031     SELECT DELFILE              ASSIGN TO DELFILE.               *MC05795
000032     SELECT DELCNTL              ASSIGN TO DELCNTL.               *MC05796
000033     SELECT NEXTPREV             ASSIGN TO NEXTPREV.              *MC05797
000034     SELECT NPCNTL               ASSIGN TO NPCNTL.                *MC05798
000035     SELECT ERRFILE              ASSIGN TO ERRFILE.               *MC05799
000036     SELECT ERRCNTL              ASSIGN TO ERRCNTL.               *MC05800
000037                                                                  *MC05801
000038 DATA DIVISION.                                                   *MC05802
000039 FILE SECTION.                                                    *MC05803
000040 FD  PREVFILE           BLOCK CONTAINS 0 RECORDS                  *MC05804
000041                        LABEL RECORDS STANDARD.                   *MC05805
000042***********************************************************       *MC05808
000043*    START OF COPY MEMBER DWVVX200                                *MC05808
000044*---------------------------------------------------------*       *MC05808
000045 01  PREV-REC.                                                    *MC05809
000046     03 DATA-WAREHOUSE-DATA.                                      *MC05810
000047       05 RECORD-KEY.                                             *MC05811
000048         07 SW-PERSON-ID          PIC 9(10)V9(5).                 *MC05812
000049       05 RECORD-TYPE             PIC 9(4).                       *MC05813
000050       05 SOURCE-SYS-EXT-DT       PIC X(8).                       *MC05814
000051       05 SKIP-RECORD-IND         PIC X.                          *MC05815
000053       05 SOURCE-ID               PIC X(10).                      *MC05817
000054     03 EXTRACT-DATA              PIC X(637).                     *MC05818
000056*---------------------------------------------------------*       *MC05822
000057*    END OF COPY MEMBER DWVVX200                                  *MC05822
000058*    68-STYLE OVERRIDE CODED                                      *MC05822
000059***********************************************************       *MC05822
000060 FD  NEWFILE            BLOCK CONTAINS 0 RECORDS                  *MC05823
000061                        LABEL RECORDS STANDARD.                   *MC05824
000062***********************************************************       *MC05827
000063*    START OF COPY MEMBER DWVVX200                                *MC05827
000064*---------------------------------------------------------*       *MC05827
000065 01  NEW-REC.                                                     *MC05828
000066     03 DATA-WAREHOUSE-DATA.                                      *MC05829
000067       05 RECORD-KEY.                                             *MC05830
000068         07 SW-PERSON-ID          PIC 9(10)V9(5).                 *MC05831
000069       05 RECORD-TYPE             PIC 9(4).                       *MC05832
000070       05 SOURCE-SYS-EXT-DT       PIC X(8).                       *MC05833
000071       05 SKIP-RECORD-IND         PIC X.                          *MC05834
000073       05 SOURCE-ID               PIC X(10).                      *MC05836
000074     03 EXTRACT-DATA              PIC X(637).                     *MC05837
000075*---------------------------------------------------------*       *MC05841
000076*    END OF COPY MEMBER DWVVX200                                  *MC05841
000077*    68-STYLE OVERRIDE CODED                                      *MC05841
000078***********************************************************       *MC05841
000079 FD  DELFILE            BLOCK CONTAINS 0 RECORDS                  *MC05842
000080                        LABEL RECORDS STANDARD.                   *MC05843
000081***********************************************************       *MC05846
000082*    START OF COPY MEMBER DWVVD200                                *MC05846
000083*---------------------------------------------------------*       *MC05846
000084 01  DEL-REC.                                                     *MC05847
000085     03 VV-ENQUIRER-DELTA-DATA.                                   *MC05848
000086       05 ACTION-CODE             PIC X.                          *MC05849
000087       05 RECORD-TYPE             PIC 9(4).                       *MC05850
000088       05 DELTA-KEY.                                              *MC05851
000089         07 SW-PERSON-ID          PIC 9(10)V9(5).                 *MC05852
000090       05 SOURCE-SYS-EXT-DT       PIC 9(8).                       *MC05853
000091       05 SOURCE-ID               PIC X(10).                      *MC05854
000092     03 ENQUIRER-DETAILS          PIC X(647).                     *MC05855
000093*---------------------------------------------------------*       *MC05859
000094*    END OF COPY MEMBER DWVVD200                                  *MC05859
000095*    68-STYLE OVERRIDE CODED                                      *MC05859
000096***********************************************************       *MC05859
000097 FD  NEXTPREV           BLOCK CONTAINS 0 RECORDS                  *MC05860
000098                        LABEL RECORDS STANDARD.                   *MC05861
000099***********************************************************       *MC05864
000100*    START OF COPY MEMBER DWVVX200                                *MC05864
000101*---------------------------------------------------------*       *MC05864
000102 01  NEXT-PREV-REC.                                               *MC05865
000103     03 DATA-WAREHOUSE-DATA.                                      *MC05866
000104       05 RECORD-KEY.                                             *MC05867
000105         07 SW-PERSON-ID          PIC 9(10)V9(5).                 *MC05868
000106       05 RECORD-TYPE             PIC 9(4).                       *MC05869
000107       05 SOURCE-SYS-EXT-DT       PIC X(8).                       *MC05870
000108       05 SKIP-RECORD-IND         PIC X.                          *MC05871
000110       05 SOURCE-ID               PIC X(10).                      *MC05873
000111     03 EXTRACT-DATA              PIC X(637).                     *MC05874
000112*---------------------------------------------------------*       *MC05878
000113*    END OF COPY MEMBER DWVVX200                                  *MC05878
000114*    68-STYLE OVERRIDE CODED                                      *MC05878
000115***********************************************************       *MC05878
000116 FD  DWRUNPRM           BLOCK CONTAINS 0 RECORDS                  *MC05879
000117                        LABEL RECORDS STANDARD.                   *MC05880
000118***********************************************************       *MC05883
000119*    START OF COPY MEMBER DWRUNPRM                                *MC05883
000120*---------------------------------------------------------*       *MC05883
000121 01  PARM-REC.                                                    *MC05884
000122     03 RUN-DATE.                                                 *MC05885
000123       05 RUN-CC                  PIC 99.                         *MC05886
000124       05 RUN-YEAR                PIC 99.                         *MC05887
000125       05 RUN-MONTH               PIC 99.                         *MC05888
000126       05 RUN-DAY                 PIC 99.                         *MC05889
000127     03 RUN-TYPE                  PIC X.                          *MC05890
000131     03 SNAPSHOT-DATE.                                            *MC05894
000132       05 SNAP-CC                 PIC 99.                         *MC05895
000133       05 SNAP-YY                 PIC 99.                         *MC05896
000134       05 SNAP-MM                 PIC 99.                         *MC05897
000135     03 LAST-RUN-DATE.                                            *MC05898
000136       05 LAST-CC                 PIC 99.                         *MC05899
000137       05 LAST-YEAR               PIC 99.                         *MC05900
000138       05 LAST-MONTH              PIC 99.                         *MC05901
000139       05 LAST-DAY                PIC 99.                         *MC05902
000140     03 DB2-PACKAGESET            PIC X(18).                      *MC05903
000141*---------------------------------------------------------*       *MC05907
000142*    END OF COPY MEMBER DWRUNPRM                                  *MC05907
000143*    68-STYLE OVERRIDE CODED                                      *MC05907
000144***********************************************************       *MC05907
000145 FD  PREVCNTL           BLOCK CONTAINS 0 RECORDS                  *MC05908
000146                        LABEL RECORDS STANDARD.                   *MC05909
000147***********************************************************       *MC05912
000148*    START OF COPY MEMBER DWCONTRL                                *MC05912
000149*---------------------------------------------------------*       *MC05912
000150 01  PREV-CTRL.                                                   *MC05913
000151     03 RUN-DATE                  PIC 9(8).                       *MC05914
000152     03 LOGICAL-FILE-NAME         PIC X(8).                       *MC05915
000153     03 RECORD-COUNT              PIC 9(9).                       *MC05916
000154     03 HASH-TOTAL                PIC S9(16)V99 COMP-3.           *MC05917
000155*---------------------------------------------------------*       *MC05921
000156*    END OF COPY MEMBER DWCONTRL                                  *MC05921
000157*    68-STYLE OVERRIDE CODED                                      *MC05921
000158***********************************************************       *MC05921
000159 FD  NEWCNTL            BLOCK CONTAINS 0 RECORDS                  *MC05922
000160                        LABEL RECORDS STANDARD.                   *MC05923
000161***********************************************************       *MC05926
000162*    START OF COPY MEMBER DWCONTRL                                *MC05926
000163*---------------------------------------------------------*       *MC05926
000164 01  NEW-CTRL.                                                    *MC05927
000165     03 RUN-DATE                  PIC 9(8).                       *MC05928
000166     03 LOGICAL-FILE-NAME         PIC X(8).                       *MC05929
000167     03 RECORD-COUNT              PIC 9(9).                       *MC05930
000168     03 HASH-TOTAL                PIC S9(16)V99 COMP-3.           *MC05931
000169*---------------------------------------------------------*       *MC05935
000170*    END OF COPY MEMBER DWCONTRL                                  *MC05935
000171*    68-STYLE OVERRIDE CODED                                      *MC05935
000172***********************************************************       *MC05935
000173 FD  DELCNTL            BLOCK CONTAINS 0 RECORDS                  *MC05936
000174                        LABEL RECORDS STANDARD.                   *MC05937
000175***********************************************************       *MC05940
000176*    START OF COPY MEMBER DWCONTRL                                *MC05940
000177*---------------------------------------------------------*       *MC05940
000178 01  DELTA-CNTL-REC.                                              *MC05941
000179     03 RUN-DATE                  PIC 9(8).                       *MC05942
000180     03 LOGICAL-FILE-NAME         PIC X(8).                       *MC05943
000181     03 RECORD-COUNT              PIC 9(9).                       *MC05944
000182     03 HASH-TOTAL                PIC S9(16)V99 COMP-3.           *MC05945
000183*---------------------------------------------------------*       *MC05949
000184*    END OF COPY MEMBER DWCONTRL                                  *MC05949
000185*    68-STYLE OVERRIDE CODED                                      *MC05949
000186***********************************************************       *MC05949
000187 FD  NPCNTL             BLOCK CONTAINS 0 RECORDS                  *MC05950
000188                        LABEL RECORDS STANDARD.                   *MC05951
000189***********************************************************       *MC05954
000190*    START OF COPY MEMBER DWCONTRL                                *MC05954
000191*---------------------------------------------------------*       *MC05954
000192 01  NEXTP-CNTL-REC.                                              *MC05955
000193     03 RUN-DATE                  PIC 9(8).                       *MC05956
000194     03 LOGICAL-FILE-NAME         PIC X(8).                       *MC05957
000195     03 RECORD-COUNT              PIC 9(9).                       *MC05958
000196     03 HASH-TOTAL                PIC S9(16)V99 COMP-3.           *MC05959
000197*---------------------------------------------------------*       *MC05963
000198*    END OF COPY MEMBER DWCONTRL                                  *MC05963
000199*    68-STYLE OVERRIDE CODED                                      *MC05963
000200***********************************************************       *MC05963
000201                                                                  *MC05964
000202 FD  ERRFILE            BLOCK CONTAINS 0 RECORDS                  *MC05965
000203                        LABEL RECORDS STANDARD.                   *MC05966
000204 01  ERROR-RECORD                 PIC X(132).                     *MC05967
000205 FD  ERRCNTL            BLOCK CONTAINS 0 RECORDS                  *MC05968
000206                        LABEL RECORDS STANDARD.                   *MC05969
000207***********************************************************       *MC05972
000208*    START OF COPY MEMBER DWCONTRL                                *MC05972
000209*---------------------------------------------------------*       *MC05972
000210 01  ERROR-CNTL-REC.                                              *MC05973
000211     03 RUN-DATE                  PIC 9(8).                       *MC05974
000212     03 LOGICAL-FILE-NAME         PIC X(8).                       *MC05975
000213     03 RECORD-COUNT              PIC 9(9).                       *MC05976
000214     03 HASH-TOTAL                PIC S9(16)V99 COMP-3.           *MC05977
000215*---------------------------------------------------------*       *MC05981
000216*    END OF COPY MEMBER DWCONTRL                                  *MC05981
000217*    68-STYLE OVERRIDE CODED                                      *MC05981
000218***********************************************************       *MC05981
000219                                                                  *MC05982
000220 WORKING-STORAGE SECTION.                                         *MC05983
000221*                                                                 *MC05984
000222 01  WS-RECORD-KEYS.                                              *MC05985
000223     03 WS-NEW-REC-KEY            PIC 9(10)V9(5).                 *MC05986
000224     03 WS-PREV-REC-KEY           PIC 9(10)V9(5).                 *MC05987
000225*                                                                 *MC05988
000226 01  FILLER                       PIC X(32) VALUE                 *MC05989
000227       'START OF SWITCHES'.                                       *MC05990
000228 01  SWITCHES.                                                    *MC05991
000229     05 SW-WRITE-DELTA            PIC XXX.                        *MC05992
000230     05 SW-WRITE-NEXTPREV         PIC XXX.                        *MC05993
000231*                                                                 *MC05994
000232 01  WS-VARIABLES.                                                *MC05995
000233     05 WS-SWF-DATE               PIC S9(5) COMP-3.               *MC05996
000234     05 WS-ABEND-CODE             PIC S9(4) COMP.                 *MC05997
000235     05 WS-PREVFILE-COUNT         PIC S9(9) VALUE 0.              *MC05998
000236     05 WS-NEWFL-CT               PIC S9(9) VALUE 0.              *MC05999
000237     05 WS-DELTA-COUNT            PIC S9(9) VALUE 0.              *MC06000
000238     05 WS-NEXTP-COUNT            PIC S9(9) VALUE 0.              *MC06001
000239     05 WS-ERROR-COUNT            PIC S9(9) VALUE 0.              *MC06002
000240                                                                  *MC06003
000241     05 WS-END-OF-PREV-FILE       PIC X(1) VALUE 'N'.             *MC06004
000242       88 END-OF-PREV-FILE        VALUE 'Y'.                      *MC06005
000243       88 NOT-END-OF-PREV-FILE    VALUE 'N'.                      *MC06006
000244     05 WS-END-OF-PREVCNTL-FILE   PIC X(1) VALUE 'N'.             *MC06007
000245       88 NOT-END-OF-PREVCNTL-FILE VALUE 'N'.                     *MC06008
000246     05 WS-END-OF-NEWCNTL-FILE    PIC X(1) VALUE 'N'.             *MC06009
000247       88 NOT-END-OF-NEWCNTL-FILE VALUE 'N'.                      *MC06010
000248     05 WS-END-OF-NEW-FILE        PIC X(1) VALUE 'N'.             *MC06011
000249       88 END-OF-NEW-FILE         VALUE 'Y'.                      *MC06012
000250       88 NOT-END-OF-NEW-FILE     VALUE 'N'.                      *MC06013
000251     05 WS-READ-PREV-FILE         PIC X(1) VALUE 'N'.             *MC06014
000252       88 READ-PREV-FILE          VALUE 'Y'.                      *MC06015
000253     05 WS-READ-NEW-FILE          PIC X(1) VALUE 'N'.             *MC06016
000254       88 READ-NEW-FILE           VALUE 'Y'.                      *MC06017
000255     05 WS-END-OF-PARM-FILE       PIC X(1) VALUE 'N'.             *MC06018
000257       88 NOT-END-OF-PARM-FILE    VALUE 'N'.                      *MC06020
000258                                                                  *MC06021
000259******** RUN PARAMETERS COPYBOOK                                  *MC06025
000260***********************************************************       *MC06025
000261*    START OF COPY MEMBER DWRUNPRM                                *MC06025
000262*---------------------------------------------------------*       *MC06025
000263 01  WS-RUN-PARAMS.                                               *MC06026
000264     03 RUN-DATE.                                                 *MC06027
000265       05 RUN-CC                  PIC 99.                         *MC06028
000266       05 RUN-YEAR                PIC 99.                         *MC06029
000267       05 RUN-MONTH               PIC 99.                         *MC06030
000268       05 RUN-DAY                 PIC 99.                         *MC06031
000269     03 RUN-TYPE                  PIC X.                          *MC06032
000273     03 SNAPSHOT-DATE.                                            *MC06036
000274       05 SNAP-CC                 PIC 99.                         *MC06037
000275       05 SNAP-YY                 PIC 99.                         *MC06038
000276       05 SNAP-MM                 PIC 99.                         *MC06039
000277     03 LAST-RUN-DATE.                                            *MC06040
000278       05 LAST-CC                 PIC 99.                         *MC06041
000279       05 LAST-YEAR               PIC 99.                         *MC06042
000280       05 LAST-MONTH              PIC 99.                         *MC06043
000281       05 LAST-DAY                PIC 99.                         *MC06044
000282     03 DB2-PACKAGESET            PIC X(18).                      *MC06045
000287*---------------------------------------------------------*       *MC06053
000288*    END OF COPY MEMBER DWRUNPRM                                  *MC06053
000289*    68-STYLE OVERRIDE CODED                                      *MC06053
000290***********************************************************       *MC06053
000291******** CONTROL PARAMETERS COPYBOOK                              *MC06053
000292***********************************************************       *MC06053
000293*    START OF COPY MEMBER DWCONTRL                                *MC06053
000294*---------------------------------------------------------*       *MC06053
000295 01  WS-PREVCNTL-PARMS.                                           *MC06054
000296     03 RUN-DATE                  PIC 9(8).                       *MC06055
000297     03 LOGICAL-FILE-NAME         PIC X(8).                       *MC06056
000298     03 RECORD-COUNT              PIC 9(9).                       *MC06057
000299     03 HASH-TOTAL                PIC S9(16)V99 COMP-3.           *MC06058
000300*---------------------------------------------------------*       *MC06065
000301*    END OF COPY MEMBER DWCONTRL                                  *MC06065
000302*    68-STYLE OVERRIDE CODED                                      *MC06065
000303***********************************************************       *MC06065
000304***********************************************************       *MC06065
000305*    START OF COPY MEMBER DWCONTRL                                *MC06065
000306*---------------------------------------------------------*       *MC06065
000307 01  WS-NEWCNTL-PARMS.                                            *MC06066
000308     03 RUN-DATE                  PIC 9(8).                       *MC06067
000309     03 LOGICAL-FILE-NAME         PIC X(8).                       *MC06068
000310     03 RECORD-COUNT              PIC 9(9).                       *MC06069
000311     03 HASH-TOTAL                PIC S9(16)V99 COMP-3.           *MC06070
000312*---------------------------------------------------------*       *MC06077
000313*    END OF COPY MEMBER DWCONTRL                                  *MC06077
000314*    68-STYLE OVERRIDE CODED                                      *MC06077
000315***********************************************************       *MC06077
000316***********************************************************       *MC06077
000317*    START OF COPY MEMBER DWCONTRL                                *MC06077
000318*---------------------------------------------------------*       *MC06077
000319 01  WS-DELCNTL-PARMS.                                            *MC06078
000320     03 RUN-DATE                  PIC 9(8).                       *MC06079
000321     03 LOGICAL-FILE-NAME         PIC X(8).                       *MC06080
000322     03 RECORD-COUNT              PIC 9(9).                       *MC06081
000323     03 HASH-TOTAL                PIC S9(16)V99 COMP-3.           *MC06082
000324*---------------------------------------------------------*       *MC06089
000325*    END OF COPY MEMBER DWCONTRL                                  *MC06089
000326*    68-STYLE OVERRIDE CODED                                      *MC06089
000327***********************************************************       *MC06089
000328***********************************************************       *MC06089
000329*    START OF COPY MEMBER DWCONTRL                                *MC06089
000330*---------------------------------------------------------*       *MC06089
000331 01  WS-NEXTPREV-PARMS.                                           *MC06090
000332     03 RUN-DATE                  PIC 9(8).                       *MC06091
000333     03 LOGICAL-FILE-NAME         PIC X(8).                       *MC06092
000334     03 RECORD-COUNT              PIC 9(9).                       *MC06093
000335     03 HASH-TOTAL                PIC S9(16)V99 COMP-3.           *MC06094
000336*---------------------------------------------------------*       *MC06101
000337*    END OF COPY MEMBER DWCONTRL                                  *MC06101
000338*    68-STYLE OVERRIDE CODED                                      *MC06101
000339***********************************************************       *MC06101
000340***********************************************************       *MC06101
000341*    START OF COPY MEMBER DWCONTRL                                *MC06101
000342*---------------------------------------------------------*       *MC06101
000343 01  WS-ERROR-PARMS.                                              *MC06102
000344     03 RUN-DATE                  PIC 9(8).                       *MC06103
000345     03 LOGICAL-FILE-NAME         PIC X(8).                       *MC06104
000346     03 RECORD-COUNT              PIC 9(9).                       *MC06105
000347     03 HASH-TOTAL                PIC S9(16)V99 COMP-3.           *MC06106
000348                                                                  *MC06111
000349*---------------------------------------------------------*       *MC06114
000350*    END OF COPY MEMBER DWCONTRL                                  *MC06114
000351*    68-STYLE OVERRIDE CODED                                      *MC06114
000352***********************************************************       *MC06114
000353***********************************************************       *MC06114
000354*    START OF COPY MEMBER DWVVX200                                *MC06114
000355*---------------------------------------------------------*       *MC06114
000356 01  WS-PREV-REC.                                                 *MC06115
000357     03 DATA-WAREHOUSE-DATA.                                      *MC06116
000358       05 RECORD-KEY.                                             *MC06117
000359         07 SW-PERSON-ID          PIC 9(10)V9(5).                 *MC06118
000360       05 RECORD-TYPE             PIC 9(4).                       *MC06119
000361       05 SOURCE-SYS-EXT-DT       PIC X(8).                       *MC06120
000362       05 SKIP-RECORD-IND         PIC X.                          *MC06121
000364       05 SOURCE-ID               PIC X(10).                      *MC06123
000365     03 EXTRACT-DATA              PIC X(637).                     *MC06124
000366                                                                  *MC06129
000367*---------------------------------------------------------*       *MC06132
000368*    END OF COPY MEMBER DWVVX200                                  *MC06132
000369*    68-STYLE OVERRIDE CODED                                      *MC06132
000370***********************************************************       *MC06132
000371***********************************************************       *MC06132
000372*    START OF COPY MEMBER DWVVX200                                *MC06132
000373*---------------------------------------------------------*       *MC06132
000374 01  WS-NEW-REC.                                                  *MC06133
000375     03 DATA-WAREHOUSE-DATA.                                      *MC06134
000376       05 RECORD-KEY.                                             *MC06135
000377         07 SW-PERSON-ID          PIC 9(10)V9(5).                 *MC06136
000378       05 RECORD-TYPE             PIC 9(4).                       *MC06137
000379       05 SOURCE-SYS-EXT-DT       PIC X(8).                       *MC06138
000380       05 SKIP-RECORD-IND         PIC X.                          *MC06139
000382       05 SOURCE-ID               PIC X(10).                      *MC06141
000383     03 EXTRACT-DATA              PIC X(637).                     *MC06142
000384                                                                  *MC06147
000385*---------------------------------------------------------*       *MC06150
000386*    END OF COPY MEMBER DWVVX200                                  *MC06150
000387*    68-STYLE OVERRIDE CODED                                      *MC06150
000388***********************************************************       *MC06150
000389***********************************************************       *MC06150
000390*    START OF COPY MEMBER DWVVX200                                *MC06150
000391*---------------------------------------------------------*       *MC06150
000392 01  WS-NEXT-PREV.                                                *MC06151
000393     03 DATA-WAREHOUSE-DATA.                                      *MC06152
000394       05 RECORD-KEY.                                             *MC06153
000395         07 SW-PERSON-ID          PIC 9(10)V9(5).                 *MC06154
000396       05 RECORD-TYPE             PIC 9(4).                       *MC06155
000397       05 SOURCE-SYS-EXT-DT       PIC X(8).                       *MC06156
000398       05 SKIP-RECORD-IND         PIC X.                          *MC06157
000400       05 SOURCE-ID               PIC X(10).                      *MC06159
000401     03 EXTRACT-DATA              PIC X(637).                     *MC06160
000402                                                                  *MC06165
000403*---------------------------------------------------------*       *MC06169
000404*    END OF COPY MEMBER DWVVX200                                  *MC06169
000405*    68-STYLE OVERRIDE CODED                                      *MC06169
000406***********************************************************       *MC06169
000407******** INTERNAL RECORD TO BE PASSED TO METACOBOL                *MC06169
000408***********************************************************       *MC06169
000409*    START OF COPY MEMBER DWVVX201                                *MC06169
000410*---------------------------------------------------------*       *MC06169
000411 01  WS-NEW-METAC-REC.                                            *MC06170
000412     03 ENQUIRER-DATA.                                            *MC06170
000413       05 ADDRESSEE-TEXT-1.                                       *MC06171
000414         07 DSF-HEADER-1          PIC X(24).                      *MC06172
000415       05 ADDRESSEE-TEXT-2.                                       *MC06173
000416         07 DSF-HEADER-2          PIC X(24).                      *MC06174
000417       05 CREATE-DATE.                                            *MC06175
000418         07 SW-DATE-CREATED       PIC X(10).                      *MC06176
000419       05 DATE-OF-BIRTH.                                          *MC06177
000420         07 DSF-BIRTHDATE         PIC X(10).                      *MC06178
000421       05 E-MAIL-ADDRESS.                                         *MC06179
000422         07 SW-EMAIL-ADDRESS      PIC X(40).                      *MC06180
000423       05 EMPLOYMENT-TYPE.                                        *MC06181
000424         07 DSF-EMPLOY-TYPE       PIC X(30).                      *MC06182
000425       05 ENQUIRER-NUMBER.                                        *MC06183
000426         07 SW-PERSON-ID1         PIC X(15).                      *MC06184
000427         07 SW-PERSON-RED         REDEFINES SW-PERSON-ID1 PIC     *MC06185
000428             9(10)V9(5).                                          *MC06186
000429       05 EXISTING-CUST-IND.                                      *MC06187
000430         07 DSF-PO-NUMBER         PIC X(10).                      *MC06188
000431       05 FIRST-NAME.                                             *MC06189
000432         07 SW-FIRST-NAME         PIC X(40).                      *MC06190
000433       05 FULL-NAME.                                              *MC06191
000434         07 SW-FULL-NAME          PIC X(80).                      *MC06192
000435       05 GENDER.                                                 *MC06193
000436         07 DSF-GENDER            PIC X.                          *MC06194
000437       05 GEO-ID.                                                 *MC06195
000438         07 POSTCODE              PIC X(8).                       *MC06196
000439       05 HOME-PHONE-NO           PIC X(26).                      *MC06197
000440       05 IFA-IND.                                                *MC06198
000441         07 DSF-IFA-IND           PIC X.                          *MC06199
000442       05 JOB-TITLE.                                              *MC06200
000443         07 DSF-EMPLOY-DESC       PIC X(80).                      *MC06201
000444       05 MARITAL-STATUS.                                         *MC06202
000445         07 DSF-MARITAL-STATUS    PIC X.                          *MC06203
000446       05 MIDDLE-NAME.                                            *MC06204
000447         07 SW-MIDDLE-NAME        PIC X(40).                      *MC06205
000448       05 NI-NUMBER.                                              *MC06206
000449         07 DSF-NI-NUMBER         PIC X(9).                       *MC06207
000450       05 SALUTATION.                                             *MC06208
000451         07 DSF-SALUTATION        PIC X(40).                      *MC06209
000452       05 SMOKER-STATUS.                                          *MC06210
000453         07 DSF-SMOKER            PIC X.                          *MC06211
000454       05 SUPP-MAIL-IND.                                          *MC06212
000455         07 DSF-SUPP-MAIL         PIC X.                          *MC06213
000456       05 SUPP-TEL-IND.                                           *MC06214
000457         07 DSF-PHONE-DISC        PIC X.                          *MC06215
000458       05 SURNAME.                                                *MC06216
000459         07 SW-LAST-NAME          PIC X(40).                      *MC06217
000460       05 TAX-RATE.                                               *MC06218
000461         07 DSF-TAX-RATE          PIC X.                          *MC06219
000462       05 TAX-WHEN.                                               *MC06220
000463         07 DSF-TAX-WHEN          PIC X.                          *MC06221
000464*** COBOL UPGRADE CHANGE: TITLE -> TITIL ***                      *MC06222
000465       05 TITIL.                                                  *MC06223
000466         07 SW-TITLE              PIC X(10).                      *MC06224
000467       05 WORK-PHONE-NO           PIC X(26).                      *MC06225
000468       05 SALES-CHANNEL-OWNER-TYPE PIC X(03).                     *MC06226
000469     03 FILLER                    PIC X(47).                      *MC06227
000470*---------------------------------------------------------*       *MC06234
000471*    END OF COPY MEMBER DWVVX201                                  *MC06234
000472*    68-STYLE OVERRIDE CODED                                      *MC06234
000473***********************************************************       *MC06234
000474***********************************************************       *MC06234
000475*    START OF COPY MEMBER DWVVX201                                *MC06234
000476*---------------------------------------------------------*       *MC06234
000477 01  WS-PREV-METAC-REC.                                           *MC06235
000478     03 ENQUIRER-DATA.                                            *MC06235
000479       05 ADDRESSEE-TEXT-1.                                       *MC06236
000480         07 DSF-HEADER-1          PIC X(24).                      *MC06237
000481       05 ADDRESSEE-TEXT-2.                                       *MC06238
000482         07 DSF-HEADER-2          PIC X(24).                      *MC06239
000483       05 CREATE-DATE.                                            *MC06240
000484         07 SW-DATE-CREATED       PIC X(10).                      *MC06241
000485       05 DATE-OF-BIRTH.                                          *MC06242
000486         07 DSF-BIRTHDATE         PIC X(10).                      *MC06243
000487       05 E-MAIL-ADDRESS.                                         *MC06244
000488         07 SW-EMAIL-ADDRESS      PIC X(40).                      *MC06245
000489       05 EMPLOYMENT-TYPE.                                        *MC06246
000490         07 DSF-EMPLOY-TYPE       PIC X(30).                      *MC06247
000491       05 ENQUIRER-NUMBER.                                        *MC06248
000492         07 SW-PERSON-ID1         PIC X(15).                      *MC06249
000493         07 SW-PERSON-RED         REDEFINES SW-PERSON-ID1 PIC     *MC06250
000494             9(10)V9(5).                                          *MC06251
000495       05 EXISTING-CUST-IND.                                      *MC06252
000496         07 DSF-PO-NUMBER         PIC X(10).                      *MC06253
000497       05 FIRST-NAME.                                             *MC06254
000498         07 SW-FIRST-NAME         PIC X(40).                      *MC06255
000499       05 FULL-NAME.                                              *MC06256
000500         07 SW-FULL-NAME          PIC X(80).                      *MC06257
000501       05 GENDER.                                                 *MC06258
000502         07 DSF-GENDER            PIC X.                          *MC06259
000503       05 GEO-ID.                                                 *MC06260
000504         07 POSTCODE              PIC X(8).                       *MC06261
000505       05 HOME-PHONE-NO           PIC X(26).                      *MC06262
000506       05 IFA-IND.                                                *MC06263
000507         07 DSF-IFA-IND           PIC X.                          *MC06264
000508       05 JOB-TITLE.                                              *MC06265
000509         07 DSF-EMPLOY-DESC       PIC X(80).                      *MC06266
000510       05 MARITAL-STATUS.                                         *MC06267
000511         07 DSF-MARITAL-STATUS    PIC X.                          *MC06268
000512       05 MIDDLE-NAME.                                            *MC06269
000513         07 SW-MIDDLE-NAME        PIC X(40).                      *MC06270
000514       05 NI-NUMBER.                                              *MC06271
000515         07 DSF-NI-NUMBER         PIC X(9).                       *MC06272
000516       05 SALUTATION.                                             *MC06273
000517         07 DSF-SALUTATION        PIC X(40).                      *MC06274
000518       05 SMOKER-STATUS.                                          *MC06275
000519         07 DSF-SMOKER            PIC X.                          *MC06276
000520       05 SUPP-MAIL-IND.                                          *MC06277
000521         07 DSF-SUPP-MAIL         PIC X.                          *MC06278
000522       05 SUPP-TEL-IND.                                           *MC06279
000523         07 DSF-PHONE-DISC        PIC X.                          *MC06280
000524       05 SURNAME.                                                *MC06281
000525         07 SW-LAST-NAME          PIC X(40).                      *MC06282
000526       05 TAX-RATE.                                               *MC06283
000527         07 DSF-TAX-RATE          PIC X.                          *MC06284
000528       05 TAX-WHEN.                                               *MC06285
000529         07 DSF-TAX-WHEN          PIC X.                          *MC06286
000530*** COBOL UPGRADE CHANGE: TITLE -> TITIL ***                      *MC06287
000531       05 TITIL.                                                  *MC06288
000532         07 SW-TITLE              PIC X(10).                      *MC06289
000533       05 WORK-PHONE-NO           PIC X(26).                      *MC06290
000534       05 SALES-CHANNEL-OWNER-TYPE PIC X(03).                     *MC06291
000535     03 FILLER                    PIC X(47).                      *MC06292
000536*---------------------------------------------------------*       *MC06300
000537*    END OF COPY MEMBER DWVVX201                                  *MC06300
000538*    68-STYLE OVERRIDE CODED                                      *MC06300
000539***********************************************************       *MC06300
000540******** DELTA OUTPUT COPYBOOK                                    *MC06300
000541***********************************************************       *MC06300
000542*    START OF COPY MEMBER DWVVD200                                *MC06300
000543*---------------------------------------------------------*       *MC06300
000544 01  WS-DELTA-OUTPUT.                                             *MC06301
000545     03 VV-ENQUIRER-DELTA-DATA.                                   *MC06302
000546       05 ACTION-CODE             PIC X.                          *MC06303
000547       05 RECORD-TYPE             PIC 9(4).                       *MC06304
000548       05 DELTA-KEY.                                              *MC06305
000549         07 SW-PERSON-ID          PIC 9(10)V9(5).                 *MC06306
000550       05 SOURCE-SYS-EXT-DT       PIC 9(8).                       *MC06307
000551       05 SOURCE-ID               PIC X(10).                      *MC06308
000552     03 ENQUIRER-DETAILS          PIC X(647).                     *MC06309
000553*---------------------------------------------------------*       *MC06316
000554*    END OF COPY MEMBER DWVVD200                                  *MC06316
000555*    68-STYLE OVERRIDE CODED                                      *MC06316
000556***********************************************************       *MC06316
000557***********************************************************       *MC06316
000558*    START OF COPY MEMBER DWVVD201                                *MC06316
000559*---------------------------------------------------------*       *MC06316
000560 01  WS-DELTA-REC.                                                *MC06317
000561     03 REST-OF-DELTA-REC.                                        *MC06317
000562       05 ADDRESSEE-TEXT-1.                                       *MC06318
000563         07 DSF-HEADER-1          PIC X(24).                      *MC06319
000564         07 DSF-HEADER-1-DELTA    PIC X.                          *MC06320
000565       05 ADDRESSEE-TEXT-2.                                       *MC06321
000566         07 DSF-HEADER-2          PIC X(24).                      *MC06322
000567         07 DSF-HEADER-2-DELTA    PIC X.                          *MC06323
000568       05 CREATE-DATE.                                            *MC06324
000569         07 SW-DATE-CREATED       PIC X(10).                      *MC06325
000570         07 SW-DATE-CREATED-DELTA PIC X.                          *MC06326
000571       05 DATE-OF-BIRTH.                                          *MC06327
000572         07 DSF-BIRTHDATE         PIC X(10).                      *MC06328
000573         07 DSF-BIRTHDATE-DELTA   PIC X.                          *MC06329
000574       05 E-MAIL-ADDRESS.                                         *MC06330
000575         07 SW-EMAIL-ADDRESS      PIC X(40).                      *MC06331
000576         07 SW-EMAIL-ADDRESS-DELTA PIC X.                         *MC06332
000577       05 EMPLOYMENT-TYPE.                                        *MC06333
000578         07 DSF-EMPLOY-TYPE       PIC X(30).                      *MC06334
000579         07 DSF-EMPLOY-TYPE-DELTA PIC X.                          *MC06335
000580       05 ENQUIRER-NUMBER.                                        *MC06336
000581         07 SW-PERSON-ID1         PIC 9(10)V9(5).                 *MC06337
000582         07 SW-PERSON-ID1-DELTA   PIC X.                          *MC06338
000583       05 EXISTING-CUST-IND.                                      *MC06339
000584         07 DSF-PO-NUMBER         PIC X(10).                      *MC06340
000585         07 DSF-PO-NUMBER-DELTA   PIC X.                          *MC06341
000586       05 FIRST-NAME.                                             *MC06342
000587         07 SW-FIRST-NAME         PIC X(40).                      *MC06343
000588         07 SW-FIRST-NAME-DELTA   PIC X.                          *MC06344
000589       05 FULL-NAME.                                              *MC06345
000590         07 SW-FULL-NAME          PIC X(80).                      *MC06346
000591         07 SW-FULL-NAME-DELTA    PIC X.                          *MC06347
000592       05 GENDER.                                                 *MC06348
000593         07 DSF-GENDER            PIC X.                          *MC06349
000594         07 DSF-GENDER-DELTA      PIC X.                          *MC06350
000595       05 GEO-ID.                                                 *MC06351
000596         07 POSTCODE              PIC X(8).                       *MC06352
000597         07 POSTCODE-DELTA        PIC X.                          *MC06353
000598       05 HOME-PHONE-NO           PIC X(26).                      *MC06354
000599       05 HOME-PHONE-NO-DELTA     PIC X.                          *MC06355
000600       05 IFA-IND.                                                *MC06356
000601         07 DSF-IFA-IND           PIC X.                          *MC06357
000602         07 DSF-IFA-IND-DELTA     PIC X.                          *MC06358
000603       05 JOB-TITLE.                                              *MC06359
000604         07 DSF-EMPLOY-DESC       PIC X(80).                      *MC06360
000605         07 DSF-EMPLOY-DESC-DELTA PIC X.                          *MC06361
000606       05 MARITAL-STATUS.                                         *MC06362
000607         07 DSF-MARITAL-STATUS    PIC X.                          *MC06363
000608         07 DSF-MARITAL-STATUS-DELTA PIC X.                       *MC06364
000609       05 MIDDLE-NAME.                                            *MC06365
000610         07 SW-MIDDLE-NAME        PIC X(40).                      *MC06366
000611         07 SW-MIDDLE-NAME-DELTA  PIC X.                          *MC06367
000612       05 NI-NUMBER.                                              *MC06368
000613         07 DSF-NI-NUMBER         PIC X(9).                       *MC06369
000614         07 DSF-NI-NUMBER-DELTA   PIC X.                          *MC06370
000615       05 SALUTATION.                                             *MC06371
000616         07 DSF-SALUTATION        PIC X(40).                      *MC06372
000617         07 DSF-SALUTATION-DELTA  PIC X.                          *MC06373
000618       05 SMOKER-STATUS.                                          *MC06374
000619         07 DSF-SMOKER            PIC X.                          *MC06375
000620         07 DSF-SMOKER-DELTA      PIC X.                          *MC06376
000621       05 SUPP-MAIL-IND.                                          *MC06377
000622         07 DSF-SUPP-MAIL         PIC X.                          *MC06378
000623         07 DSF-SUPP-MAIL-DELTA   PIC X.                          *MC06379
000624       05 SUPP-TEL-IND.                                           *MC06380
000625         07 DSF-PHONE-DISC        PIC X.                          *MC06381
000626         07 DSF-PHONE-DISC-DELTA  PIC X.                          *MC06382
000627       05 SURNAME.                                                *MC06383
000628         07 SW-LAST-NAME          PIC X(40).                      *MC06384
000629         07 SW-LAST-NAME-DELTA    PIC X.                          *MC06385
000630       05 TAX-RATE.                                               *MC06386
000631         07 DSF-TAX-RATE          PIC X.                          *MC06387
000632         07 DSF-TAX-RATE-DELTA    PIC X.                          *MC06388
000633       05 TAX-WHEN.                                               *MC06389
000634         07 DSF-TAX-WHEN          PIC X.                          *MC06390
000635         07 DSF-TAX-WHEN-DELTA    PIC X.                          *MC06391
000636*** COBOL UPGRADE CHANGE: TITLE -> TITIL ***                      *MC06392
000637       05 TITIL.                                                  *MC06393
000638         07 SW-TITLE              PIC X(10).                      *MC06394
000639         07 SW-TITLE-DELTA        PIC X.                          *MC06395
000640       05 WORK-PHONE-NO           PIC X(26).                      *MC06396
000641       05 WORK-PHONE-NO-DELTA     PIC X.                          *MC06397
000642       05 SALES-CHANNEL-OWNER-TYPE PIC X(3).                      *MC06398
000643       05 SALES-CHANNEL-OWNER-TYPE-DELTA PIC X.                   *MC06399
000644     03 FILLER                    PIC X(46).                      *MC06400
000645*---------------------------------------------------------*       *MC06405
000646*    END OF COPY MEMBER DWVVD201                                  *MC06405
000647*    68-STYLE OVERRIDE CODED                                      *MC06405
000648***********************************************************       *MC06405
000649*                                                                 *MC06405
000650 01  ERROR-DATA.                                                  *MC06406
000651     03 ERROR-DATE                PIC X(8).                       *MC06407
000652     03 FILLER                    PIC X.                          *MC06408
000653     03 ERROR-JOBNAME             PIC X(10).                      *MC06409
000654     03 FILLER                    PIC X.                          *MC06410
000655     03 ERROR-DESCRIPTION         PIC X(100).                     *MC06411
000656     03 FILLER                    PIC X(10).                      *MC06412
000657*                                                                 *MC06413
000658*******************************************************           *MC07922
000659***  GENERATED PARAMETERS FOR PZWMP02 CALL                        *MC07922
000660*******************************************************           *MC07922
000661                                                                  *MC07922
000662 01  SC00HC-ZWMP02.                                               *MC07922
000663     03 SC00HC-ZWMP02-CMD         PIC X.                          *MC07922
000664     03 SC00HC-ZWMP02-I-FORM      PIC X(04).                      *MC07922
000665     03 SC00HC-ZWMP02-O-FORM1     PIC X(04).                      *MC07922
000666     03 SC00HC-ZWMP02-O-FORM2     PIC X(04).                      *MC07922
000667     03 SC00HC-ZWMP02-DISP        PIC X(50).                      *MC07922
000668     03 SC00HC-ZWMP02-NUM-8       REDEFINES SC00HC-ZWMP02-DISP    *MC07922
000669         PIC S9(08).                                              *MC07922
000670     03 SC00HC-ZWMP02-NUM-6       REDEFINES SC00HC-ZWMP02-NUM-8   *MC07922
000671         PIC S9(06).                                              *MC07922
000672     03 SC00HC-ZWMP02-NUM-4       REDEFINES SC00HC-ZWMP02-NUM-6   *MC07922
000673         PIC S9(04).                                              *MC07922
000674     03 SC00HC-ZWMP02-SWF         REDEFINES SC00HC-ZWMP02-NUM-4   *MC07922
000675         PIC S9(05) COMP-3.                                       *MC07922
000676     03 SC00HC-ZWMP02-NUM-2       REDEFINES SC00HC-ZWMP02-SWF     *MC07922
000677         PIC S9(02).                                              *MC07922
000678                                                                  *MC07922
000679*******************************************************           *MC07922
000680***  GENERATED ENTRIES FOR UNDEFINED IDENTIFIERS                  *MC07922
000681*******************************************************           *MC07922
000682                                                                  *MC07922
000683 01  SC00DA-1                     PIC X.                          *MC07922
000684 01  SC00DA-2                     PIC X.                          *MC07937
000685 01  SC00DA-3                     PIC X.                          *MC07985
000686 01  SC00DA-4                     PIC X.                          *MC08000
000687                                                                  *MC07922
000688 PROCEDURE DIVISION.                                              *MC06414
000689*                                                                 *MC06415
000690                                                                  *MC06416
000691 0101-P72047 SECTION.                                             *MC06417
000692                                                                  *MC06418
000693     SKIP1                                                        *MC06419
000694                                                                  *MC06420
000695     PERFORM 0201-HEADER.                                         *MC06421
000696                                                                  *MC06422
000697                                                                  *MC06423
000698     PERFORM 0202-PROCESS-RECORDS.                                *MC06424
000699                                                                  *MC06425
000700                                                                  *MC06426
000701     PERFORM 0203-TRAILER.                                        *MC06427
000702                                                                  *MC06428
000703     GOBACK.                                                      *MC06429
000704     EJECT                                                        *MC06430
000705 0201-HEADER SECTION.                                             *MC06431
000706***                                PERFORMED BY SECTION 0101      *MC06432
000707                                                                  *MC06433
000708     SKIP1                                                        *MC06434
000709                                                                  *MC06435
000710     PERFORM 0301-OPEN-FILES.                                     *MC06436
000711                                                                  *MC06437
000712                                                                  *MC06438
000713     PERFORM 0302-INITIATE.                                       *MC06439
000714                                                                  *MC06440
000715                                                                  *MC06441
000716     PERFORM 0303-READ-INPUT-FILES.                               *MC06442
000717                                                                  *MC06443
000718 0201-EXIT.                                                       *MC06444
000719     EXIT.                                                        *MC06445
000720     EJECT                                                        *MC06446
000721 0202-PROCESS-RECORDS SECTION.                                    *MC06447
000722***                                PERFORMED BY SECTION 0101      *MC06448
000723                                                                  *MC06449
000724     SKIP1                                                        *MC06450
000725                                                                  *MC06451
000726     PERFORM 0304-CHECK-RUN-PARMS-FOUND.                          *MC06452
000727                                                                  *MC06453
000728                                                                  *MC06454
000729     PERFORM 0305-CHECK-CONTROL-DATES.                            *MC06455
000730                                                                  *MC06456
000731                                                                  *MC06457
000732     PERFORM 0306-RECORD-LOOP.                                    *MC06458
000733                                                                  *MC06459
000734 0202-EXIT.                                                       *MC06460
000735     EXIT.                                                        *MC06461
000736     EJECT                                                        *MC06462
000737 0203-TRAILER SECTION.                                            *MC06463
000738***                                PERFORMED BY SECTION 0101      *MC06464
000739                                                                  *MC06465
000740     SKIP1                                                        *MC06466
000741                                                                  *MC06467
000742     PERFORM 0307-WRITE-CONTROL-TOTALS.                           *MC06468
000743                                                                  *MC06469
000744                                                                  *MC06470
000745     PERFORM 0308-CLOSE-OUTPUTS.                                  *MC06471
000746                                                                  *MC06472
000747                                                                  *MC06473
000748     PERFORM 0309-CHECK-CONTROL-TOTALS.                           *MC06474
000749                                                                  *MC06475
000750 0203-EXIT.                                                       *MC06476
000751     EXIT.                                                        *MC06477
000752     EJECT                                                        *MC06478
000753 0301-OPEN-FILES SECTION.                                         *MC06479
000754***                                PERFORMED BY SECTION 0201      *MC06480
000755                                                                  *MC06481
000756     SKIP1                                                        *MC06482
000757                                                                  *MC06483
000758*******************************************************************MC06484
000759***  OP   5:                                                      *MC06485
000760***  OPEN FILES                                                   *MC06486
000761*******************************************************************MC06487
000762                                                                  *MC06488
000763     OPEN INPUT NEWFILE PREVFILE DWRUNPRM PREVCNTL NEWCNTL        *MC06489
000764       OUTPUT DELFILE NEXTPREV DELCNTL NPCNTL ERRFILE ERRCNTL.    *MC06490
000765                                                                  *MC06491
000766 0301-EXIT.                                                       *MC06492
000767     EXIT.                                                        *MC06493
000768     EJECT                                                        *MC06494
000769 0302-INITIATE SECTION.                                           *MC06495
000770***                                PERFORMED BY SECTION 0201      *MC06496
000771                                                                  *MC06497
000772     SKIP1                                                        *MC06498
000773                                                                  *MC06499
000774*******************************************************************MC06500
000775***  OP  10:                                                      *MC06501
000776***  INITIALISE DATA                                              *MC06502
000777*******************************************************************MC06503
000778                                                                  *MC06504
000779     MOVE ZEROES              TO SOURCE-SYS-EXT-DT OF             *MC06505
000780       WS-PREV-REC               SOURCE-SYS-EXT-DT OF WS-NEW-REC. *MC06505
000781                                                                  *MC06507
000782 0302-EXIT.                                                       *MC06508
000783     EXIT.                                                        *MC06509
000784     EJECT                                                        *MC06510
000785 0303-READ-INPUT-FILES SECTION.                                   *MC06511
000786***                                PERFORMED BY SECTION 0201      *MC06512
000787                                                                  *MC06513
000788     SKIP1                                                        *MC06514
000789                                                                  *MC06515
000790*******************************************************************MC06516
000791***  OP  15:                                                      *MC06517
000792***  READ INPUT FILES                                             *MC06518
000793*******************************************************************MC06519
000794                                                                  *MC06520
000795     READ DWRUNPRM                                                *MC06521
000796       AT END                                                     *MC06522
000797       MOVE 'Y'                 TO WS-END-OF-PARM-FILE.           *MC06523
000798     READ PREVCNTL                                                *MC06524
000799       AT END                                                     *MC06525
000800       MOVE 'Y'                 TO WS-END-OF-PREVCNTL-FILE.       *MC06526
000801     READ NEWCNTL                                                 *MC06527
000802       AT END                                                     *MC06528
000803       MOVE 'Y'                 TO WS-END-OF-NEWCNTL-FILE.        *MC06529
000804     READ PREVFILE                                                *MC06530
000805       AT END                                                     *MC06531
000806       MOVE 'Y'                 TO WS-END-OF-PREV-FILE            *MC06532
000807       SUBTRACT 1 FROM WS-PREVFILE-COUNT.                         *MC06533
000808     ADD 1 TO WS-PREVFILE-COUNT.                                  *MC06534
000809     READ NEWFILE                                                 *MC06535
000810       AT END                                                     *MC06536
000811       MOVE 'Y'                 TO WS-END-OF-NEW-FILE             *MC06537
000812       SUBTRACT 1 FROM WS-NEWFL-CT.                               *MC06538
000813     ADD 1 TO WS-NEWFL-CT.                                        *MC06539
000814                                                                  *MC06540
000815 0303-EXIT.                                                       *MC06541
000816     EXIT.                                                        *MC06542
000817     EJECT                                                        *MC06543
000818 0304-CHECK-RUN-PARMS-FOUND SECTION.                              *MC06544
000819***                                PERFORMED BY SECTION 0202      *MC06545
000820                                                                  *MC06546
000821     SKIP1                                                        *MC06547
000822                                                                  *MC06548
000823*******************************************************************MC06549
000824***  IF JOB NAME FOUND                                            *MC06550
000825*******************************************************************MC06551
000826                                                                  *MC06552
000827     IF NOT-END-OF-PARM-FILE                                      *MC06553
000828       PERFORM 0404-RUN-PARMS-FOUND                               *MC06554
000829                                                                  *MC06555
000830       ELSE                                                       *MC06556
000831       PERFORM 0405-OTHERWISE.                                    *MC06557
000832                                                                  *MC06558
000833 0304-EXIT.                                                       *MC06559
000834     EXIT.                                                        *MC06560
000835     EJECT                                                        *MC06561
000836 0305-CHECK-CONTROL-DATES SECTION.                                *MC06562
000837***                                PERFORMED BY SECTION 0202      *MC06563
000838                                                                  *MC06564
000839     SKIP1                                                        *MC06565
000840                                                                  *MC06566
000841     PERFORM 0406-NEW-CONTROL-DATE.                               *MC06567
000842                                                                  *MC06568
000843                                                                  *MC06569
000844     PERFORM 0407-PREV-CONTROL-DATE.                              *MC06570
000845                                                                  *MC06571
000846 0305-EXIT.                                                       *MC06572
000847     EXIT.                                                        *MC06573
000848     EJECT                                                        *MC06574
000849 0306-RECORD-LOOP SECTION.                                        *MC06575
000850***                                PERFORMED BY SECTION 0202      *MC06576
000851                                                                  *MC06577
000852     SKIP1                                                        *MC06578
000853                                                                  *MC06579
000854     PERFORM 0408-UNTIL-END-FILES-LOOP                            *MC06580
000855                                                                  *MC06581
000856*******************************************************************MC06582
000857***  WHILE UNTIL END OF FILES                                     *MC06583
000858*******************************************************************MC06584
000859                                                                  *MC06585
000860       UNTIL END-OF-PREV-FILE                                     *MC06586
000861     AND END-OF-NEW-FILE.                                         *MC06587
000862                                                                  *MC06588
000863 0306-EXIT.                                                       *MC06589
000864     EXIT.                                                        *MC06590
000865     EJECT                                                        *MC06591
000866 0307-WRITE-CONTROL-TOTALS SECTION.                               *MC06592
000867***                                PERFORMED BY SECTION 0203      *MC06593
000868                                                                  *MC06594
000869     SKIP1                                                        *MC06595
000870                                                                  *MC06596
000871*******************************************************************MC06597
000872***  OP 110:                                                      *MC06598
000873***  WRITE CONTROL TOTALS                                         *MC06599
000874*******************************************************************MC06600
000875                                                                  *MC06601
000876     MOVE RUN-DATE OF WS-RUN-PARAMS                               *MC06602
000877                              TO RUN-DATE OF WS-DELCNTL-PARMS.    *MC06602
000878     MOVE 'DVV2DELC'          TO LOGICAL-FILE-NAME OF             *MC06604
000879       WS-DELCNTL-PARMS.                                          *MC06604
000880     MOVE WS-DELTA-COUNT      TO RECORD-COUNT OF                  *MC06605
000881       WS-DELCNTL-PARMS.                                          *MC06605
000882     MOVE +0                  TO HASH-TOTAL OF WS-DELCNTL-PARMS.  *MC06606
000883     WRITE DELTA-CNTL-REC FROM WS-DELCNTL-PARMS.                  *MC06607
000884                                                                  *MC06608
000885     MOVE RUN-DATE OF WS-RUN-PARAMS                               *MC06609
000886                              TO RUN-DATE OF WS-NEXTPREV-PARMS.   *MC06609
000887     MOVE 'DVV2NPC'           TO LOGICAL-FILE-NAME OF             *MC06611
000888       WS-NEXTPREV-PARMS.                                         *MC06611
000889     MOVE WS-NEXTP-COUNT      TO RECORD-COUNT OF                  *MC06612
000890       WS-NEXTPREV-PARMS.                                         *MC06612
000891     MOVE +0                  TO HASH-TOTAL OF WS-NEXTPREV-PARMS. *MC06613
000892     WRITE NEXTP-CNTL-REC FROM WS-NEXTPREV-PARMS.                 *MC06614
000893                                                                  *MC06615
000894     MOVE RUN-DATE OF WS-RUN-PARAMS                               *MC06616
000895                              TO RUN-DATE OF WS-ERROR-PARMS.      *MC06616
000896     MOVE 'DVV2ERR'           TO LOGICAL-FILE-NAME OF             *MC06618
000897       WS-ERROR-PARMS.                                            *MC06618
000898     MOVE WS-ERROR-COUNT      TO RECORD-COUNT OF WS-ERROR-PARMS.  *MC06619
000899     MOVE +0                  TO HASH-TOTAL OF WS-ERROR-PARMS.    *MC06620
000900     WRITE ERROR-CNTL-REC FROM WS-ERROR-PARMS.                    *MC06621
000901                                                                  *MC06622
000902 0307-EXIT.                                                       *MC06623
000903     EXIT.                                                        *MC06624
000904     EJECT                                                        *MC06625
000905 0308-CLOSE-OUTPUTS SECTION.                                      *MC06626
000906***                                PERFORMED BY SECTION 0203      *MC06627
000907                                                                  *MC06628
000908     SKIP1                                                        *MC06629
000909                                                                  *MC06630
000910*******************************************************************MC06631
000911***  OP 100:                                                      *MC06632
000912***  CLOSE FILES...                                               *MC06633
000913*******************************************************************MC06634
000914                                                                  *MC06635
000915     CLOSE PREVFILE NEWFILE PREVCNTL NEWCNTL DELFILE DWRUNPRM     *MC06636
000916       NEXTPREV DELCNTL NPCNTL ERRFILE ERRCNTL.                   *MC06637
000917                                                                  *MC06638
000918                                                                  *MC06639
000919 0308-EXIT.                                                       *MC06640
000920     EXIT.                                                        *MC06641
000921     EJECT                                                        *MC06642
000922 0309-CHECK-CONTROL-TOTALS SECTION.                               *MC06643
000923***                                PERFORMED BY SECTION 0203      *MC06644
000924                                                                  *MC06645
000925     SKIP1                                                        *MC06646
000926                                                                  *MC06647
000927     PERFORM 0411-PREVCNTL-PREV-FILE.                             *MC06648
000928                                                                  *MC06649
000929                                                                  *MC06650
000930     PERFORM 0412-NEWCNTL-NEW-FILE.                               *MC06651
000931                                                                  *MC06652
000932 0309-EXIT.                                                       *MC06653
000933     EXIT.                                                        *MC06654
000934     EJECT                                                        *MC06655
000935 0404-RUN-PARMS-FOUND SECTION.                                    *MC06656
000936***                                PERFORMED BY SECTION 0304      *MC06657
000937                                                                  *MC06658
000938     SKIP1                                                        *MC06659
000939                                                                  *MC06660
000940     PERFORM 0501-MOVE-RUN-PARMS-TO-W-S.                          *MC06661
000941                                                                  *MC06662
000942 0404-EXIT.                                                       *MC06663
000943     EXIT.                                                        *MC06664
000944     EJECT                                                        *MC06665
000945 0405-OTHERWISE SECTION.                                          *MC06666
000946***                                PERFORMED BY SECTION 0304      *MC06667
000947                                                                  *MC06668
000948     SKIP1                                                        *MC06669
000949                                                                  *MC06670
000950     PERFORM 0502-CALL-GN002.                                     *MC06671
000951                                                                  *MC06672
000952 0405-EXIT.                                                       *MC06673
000953     EXIT.                                                        *MC06674
000954     EJECT                                                        *MC06675
000955 0406-NEW-CONTROL-DATE SECTION.                                   *MC06676
000956***                                PERFORMED BY SECTION 0305      *MC06677
000957                                                                  *MC06678
000958     SKIP1                                                        *MC06679
000959                                                                  *MC06680
000960*******************************************************************MC06681
000961***  IF RUN DATE NOT = RUN-DATE OF RUNPARMS                       *MC06682
000962*******************************************************************MC06683
000963                                                                  *MC06684
000964     IF RUN-DATE OF WS-NEWCNTL-PARMS NOT = RUN-DATE OF            *MC06686
000965         WS-RUN-PARAMS                                            *MC06686
000966       PERFORM 0503-NOT-RUN-PARMS.                                *MC06687
000967                                                                  *MC06688
000968 0406-EXIT.                                                       *MC06689
000969     EXIT.                                                        *MC06690
000970     EJECT                                                        *MC06691
000971 0407-PREV-CONTROL-DATE SECTION.                                  *MC06692
000972***                                PERFORMED BY SECTION 0305      *MC06693
000973                                                                  *MC06694
000974     SKIP1                                                        *MC06695
000975                                                                  *MC06696
000976*******************************************************************MC06697
000977***  IF RUN DATE NOT = LAST-RUN-DATE OF RUNPARMS                  *MC06698
000978*******************************************************************MC06699
000979                                                                  *MC06700
000980     IF RUN-DATE OF WS-PREVCNTL-PARMS NOT = LAST-RUN-DATE OF      *MC06702
000981         WS-RUN-PARAMS                                            *MC06702
000982       PERFORM 0504-NOT-RUN-PARMS.                                *MC06703
000983                                                                  *MC06704
000984 0407-EXIT.                                                       *MC06705
000985     EXIT.                                                        *MC06706
000986     EJECT                                                        *MC06707
000987 0408-UNTIL-END-FILES-LOOP SECTION.                               *MC06708
000988***                                PERFORMED BY SECTION 0306      *MC06709
000989                                                                  *MC06710
000990     SKIP1                                                        *MC06711
000991                                                                  *MC06712
000992     PERFORM 0505-MOVE-RECS-READ-TO-WS.                           *MC06713
000993                                                                  *MC06714
000994                                                                  *MC06715
000995     PERFORM 0506-MAIN-PROCESS.                                   *MC06716
000996                                                                  *MC06717
000997                                                                  *MC06718
000998     PERFORM 0507-READ-PREV-FILE.                                 *MC06719
000999                                                                  *MC06720
001000                                                                  *MC06721
001001     PERFORM 0508-READ-NEW-FILE.                                  *MC06722
001002                                                                  *MC06723
001003 0408-EXIT.                                                       *MC06724
001004     EXIT.                                                        *MC06725
001005     EJECT                                                        *MC06726
001006 0411-PREVCNTL-PREV-FILE SECTION.                                 *MC06727
001007***                                PERFORMED BY SECTION 0309      *MC06728
001008                                                                  *MC06729
001009     SKIP1                                                        *MC06730
001010                                                                  *MC06731
001011*******************************************************************MC06732
001012***  IF NO OF PREV FILE RECS READ <> NUMBER EXPECTED              *MC06733
001013*******************************************************************MC06734
001014                                                                  *MC06735
001015     IF RECORD-COUNT OF WS-PREVCNTL-PARMS NOT =                   *MC06737
001016         WS-PREVFILE-COUNT                                        *MC06737
001017       PERFORM 0509-PREV-COUNTS-NOT-MATCH.                        *MC06738
001018                                                                  *MC06739
001019 0411-EXIT.                                                       *MC06740
001020     EXIT.                                                        *MC06741
001021     EJECT                                                        *MC06742
001022 0412-NEWCNTL-NEW-FILE SECTION.                                   *MC06743
001023***                                PERFORMED BY SECTION 0309      *MC06744
001024                                                                  *MC06745
001025     SKIP1                                                        *MC06746
001026                                                                  *MC06747
001027*******************************************************************MC06748
001028***  IF NO OF NEW FILE RECS READ <> NUMBER EXPECTED               *MC06749
001029*******************************************************************MC06750
001030                                                                  *MC06751
001031     IF RECORD-COUNT OF WS-NEWCNTL-PARMS NOT = WS-NEWFL-CT        *MC06752
001032       PERFORM 0510-NEW-COUNTS-NOT-MATCH.                         *MC06753
001033                                                                  *MC06754
001034 0412-EXIT.                                                       *MC06755
001035     EXIT.                                                        *MC06756
001036     EJECT                                                        *MC06757
001037 0501-MOVE-RUN-PARMS-TO-W-S SECTION.                              *MC06758
001038***                                PERFORMED BY SECTION 0404      *MC06759
001039                                                                  *MC06760
001040     SKIP1                                                        *MC06761
001041                                                                  *MC06762
001042*******************************************************************MC06763
001043***  OP  22:                                                      *MC06764
001044***  MOVE RUN PARMS TO W-S                                        *MC06765
001045*******************************************************************MC06766
001046                                                                  *MC06767
001047     MOVE PARM-REC            TO WS-RUN-PARAMS.                   *MC06768
001048                                                                  *MC06769
001049                                                                  *MC06770
001050     PERFORM 0602-CHECK-PREV-CNTL-FOUND.                          *MC06771
001051                                                                  *MC06772
001052 0501-EXIT.                                                       *MC06773
001053     EXIT.                                                        *MC06774
001054     EJECT                                                        *MC06775
001055 0502-CALL-GN002 SECTION.                                         *MC06776
001056***                                PERFORMED BY SECTION 0405      *MC06777
001057                                                                  *MC06778
001058     SKIP1                                                        *MC06779
001059                                                                  *MC06780
001060*******************************************************************MC06781
001061***  OP 915:                                                      *MC06782
001062***  SET GN002 ID FOR CONTROL PARMS MISSING                       *MC06783
001063*******************************************************************MC06784
001064                                                                  *MC06785
001065     MOVE 2915                TO WS-ABEND-CODE.                   *MC06786
001066                                                                  *MC06787
001067                                                                  *MC06788
001068*******************************************************************MC06789
001069***  OP 999:                                                      *MC06790
001070***  CALL GN002                                                   *MC06791
001071*******************************************************************MC06792
001072                                                                  *MC06793
001073     CALL 'GN002'          USING WS-ABEND-CODE.                   *MC06794
001074                                                                  *MC06795
001075 0502-EXIT.                                                       *MC06796
001076     EXIT.                                                        *MC06797
001077     EJECT                                                        *MC06798
001078 0503-NOT-RUN-PARMS SECTION.                                      *MC06799
001079***                                PERFORMED BY SECTION 0406      *MC06800
001080                                                                  *MC06801
001081     SKIP1                                                        *MC06802
001082                                                                  *MC06803
001083*******************************************************************MC06804
001084***  OP 920:                                                      *MC06805
001085***  SET GN002 ID FOR NEWCNTL PARM DATES MISMATCH                 *MC06806
001086*******************************************************************MC06807
001087                                                                  *MC06808
001088     MOVE 2978                TO WS-ABEND-CODE.                   *MC06809
001089                                                                  *MC06810
001090                                                                  *MC06811
001091*******************************************************************MC06812
001092***  OP 999:                                                      *MC06813
001093***  CALL GN002                                                   *MC06814
001094*******************************************************************MC06815
001095                                                                  *MC06816
001096     CALL 'GN002'          USING WS-ABEND-CODE.                   *MC06817
001097                                                                  *MC06818
001098 0503-EXIT.                                                       *MC06819
001099     EXIT.                                                        *MC06820
001100     EJECT                                                        *MC06821
001101 0504-NOT-RUN-PARMS SECTION.                                      *MC06822
001102***                                PERFORMED BY SECTION 0407      *MC06823
001103                                                                  *MC06824
001104     SKIP1                                                        *MC06825
001105                                                                  *MC06826
001106*******************************************************************MC06827
001107***  OP 925:                                                      *MC06828
001108***  SET GN002 ID FOR PREVCNTL PARM DATES MISMATCH                *MC06829
001109*******************************************************************MC06830
001110                                                                  *MC06831
001111     MOVE 2979                TO WS-ABEND-CODE.                   *MC06832
001112                                                                  *MC06833
001113                                                                  *MC06834
001114*******************************************************************MC06835
001115***  OP 999:                                                      *MC06836
001116***  CALL GN002                                                   *MC06837
001117*******************************************************************MC06838
001118                                                                  *MC06839
001119     CALL 'GN002'          USING WS-ABEND-CODE.                   *MC06840
001120                                                                  *MC06841
001121 0504-EXIT.                                                       *MC06842
001122     EXIT.                                                        *MC06843
001123     EJECT                                                        *MC06844
001124 0505-MOVE-RECS-READ-TO-WS SECTION.                               *MC06845
001125***                                PERFORMED BY SECTION 0408      *MC06846
001126                                                                  *MC06847
001127     SKIP1                                                        *MC06848
001128                                                                  *MC06849
001129*******************************************************************MC06850
001130***  OP  25:                                                      *MC06851
001131***  MOVE RECORDS READ TO WORKING STORAGE                         *MC06852
001132*******************************************************************MC06853
001133                                                                  *MC06854
001134     MOVE 'YES'               TO SW-WRITE-DELTA                   *MC06855
001135                                 SW-WRITE-NEXTPREV.               *MC06855
001136     IF NOT-END-OF-PREV-FILE                                      *MC06856
001137       MOVE PREV-REC            TO WS-PREV-REC                    *MC06857
001138       MOVE SW-PERSON-ID OF WS-PREV-REC                           *MC06858
001139                                TO WS-PREV-REC-KEY                *MC06858
001140     ELSE                                                         *MC06859
001141       MOVE ALL '9'             TO WS-PREV-REC-KEY.               *MC06860
001142                                                                  *MC06861
001143     IF NOT-END-OF-NEW-FILE                                       *MC06862
001144       MOVE NEW-REC             TO WS-NEW-REC                     *MC06863
001145       MOVE SW-PERSON-ID OF WS-NEW-REC                            *MC06864
001146                                TO WS-NEW-REC-KEY                 *MC06864
001147     ELSE                                                         *MC06865
001148       MOVE ALL '9'             TO WS-NEW-REC-KEY                 *MC06866
001149       MOVE SPACE               TO SKIP-RECORD-IND OF WS-NEW-REC. *MC06867
001150                                                                  *MC06868
001151 0505-EXIT.                                                       *MC06869
001152     EXIT.                                                        *MC06870
001153     EJECT                                                        *MC06871
001154 0506-MAIN-PROCESS SECTION.                                       *MC06872
001155***                                PERFORMED BY SECTION 0408      *MC06873
001156                                                                  *MC06874
001157     SKIP1                                                        *MC06875
001158                                                                  *MC06876
001159     PERFORM 0607-CHECK-SKIP.                                     *MC06877
001160                                                                  *MC06878
001161                                                                  *MC06879
001162     PERFORM 0608-RESET-CHANNEL-OWNER.                            *MC06880
001163                                                                  *MC06881
001164                                                                  *MC06882
001165     PERFORM 0609-COMPARE-KEYS.                                   *MC06883
001166                                                                  *MC06884
001167 0506-EXIT.                                                       *MC06885
001168     EXIT.                                                        *MC06886
001169     EJECT                                                        *MC06887
001170 0507-READ-PREV-FILE SECTION.                                     *MC06888
001171***                                PERFORMED BY SECTION 0408      *MC06889
001172                                                                  *MC06890
001173     SKIP1                                                        *MC06891
001174                                                                  *MC06892
001175*******************************************************************MC06893
001176***  IF READ PREV FILE                                            *MC06894
001177*******************************************************************MC06895
001178                                                                  *MC06896
001179     IF READ-PREV-FILE                                            *MC06897
001180       PERFORM 0610-READ-PREV-FILE.                               *MC06898
001181                                                                  *MC06899
001182 0507-EXIT.                                                       *MC06900
001183     EXIT.                                                        *MC06901
001184     EJECT                                                        *MC06902
001185 0508-READ-NEW-FILE SECTION.                                      *MC06903
001186***                                PERFORMED BY SECTION 0408      *MC06904
001187                                                                  *MC06905
001188     SKIP1                                                        *MC06906
001189                                                                  *MC06907
001190*******************************************************************MC06908
001191***  IF READ NEW FILE                                             *MC06909
001192*******************************************************************MC06910
001193                                                                  *MC06911
001194     IF READ-NEW-FILE                                             *MC06912
001195       PERFORM 0611-READ-NEW-FILE.                                *MC06913
001196                                                                  *MC06914
001197 0508-EXIT.                                                       *MC06915
001198     EXIT.                                                        *MC06916
001199     EJECT                                                        *MC06917
001200 0509-PREV-COUNTS-NOT-MATCH SECTION.                              *MC06918
001201***                                PERFORMED BY SECTION 0411      *MC06919
001202                                                                  *MC06920
001203     SKIP1                                                        *MC06921
001204                                                                  *MC06922
001205     PERFORM 0612-CALL-GN002-TO-ABEND.                            *MC06923
001206                                                                  *MC06924
001207 0509-EXIT.                                                       *MC06925
001208     EXIT.                                                        *MC06926
001209     EJECT                                                        *MC06927
001210 0510-NEW-COUNTS-NOT-MATCH SECTION.                               *MC06928
001211***                                PERFORMED BY SECTION 0412      *MC06929
001212                                                                  *MC06930
001213     SKIP1                                                        *MC06931
001214                                                                  *MC06932
001215     PERFORM 0613-CALL-GN002-TO-ABEND.                            *MC06933
001216                                                                  *MC06934
001217 0510-EXIT.                                                       *MC06935
001218     EXIT.                                                        *MC06936
001219     EJECT                                                        *MC06937
001220 0602-CHECK-PREV-CNTL-FOUND SECTION.                              *MC06938
001221***                                PERFORMED BY SECTION 0501      *MC06939
001222                                                                  *MC06940
001223     SKIP1                                                        *MC06941
001224                                                                  *MC06942
001225*******************************************************************MC06943
001226***  IF JOB NAME FOUND                                            *MC06944
001227*******************************************************************MC06945
001228                                                                  *MC06946
001229     IF NOT-END-OF-PREVCNTL-FILE                                  *MC06947
001230       PERFORM 0701-PREVCNTL-PARMS-FOUND                          *MC06948
001231                                                                  *MC06949
001232       ELSE                                                       *MC06950
001233       PERFORM 0702-OTHERWISE.                                    *MC06951
001234                                                                  *MC06952
001235 0602-EXIT.                                                       *MC06953
001236     EXIT.                                                        *MC06954
001237     EJECT                                                        *MC06955
001238 0607-CHECK-SKIP SECTION.                                         *MC06956
001239***                                PERFORMED BY SECTION 0506      *MC06957
001240                                                                  *MC06958
001241     SKIP1                                                        *MC06959
001242                                                                  *MC06960
001243*******************************************************************MC06961
001244***  IF SKIP RECORD                                               *MC06962
001245*******************************************************************MC06963
001246                                                                  *MC06964
001247     IF SKIP-RECORD-IND OF WS-NEW-REC = 'Y'                       *MC06965
001248       PERFORM 0703-SKIP-RECORD.                                  *MC06966
001249                                                                  *MC06967
001250 0607-EXIT.                                                       *MC06968
001251     EXIT.                                                        *MC06969
001252     EJECT                                                        *MC06970
001253 0608-RESET-CHANNEL-OWNER SECTION.                                *MC06971
001254***                                PERFORMED BY SECTION 0506      *MC06972
001255                                                                  *MC06973
001256     SKIP1                                                        *MC06974
001257                                                                  *MC06975
001258*******************************************************************MC06976
001259***  OP 125:                                                      *MC06977
001260***  RESET CHANNEL OWNER                                          *MC06978
001261*******************************************************************MC06979
001262                                                                  *MC06980
001263     MOVE EXTRACT-DATA OF WS-NEW-REC                              *MC06981
001264                              TO WS-NEW-METAC-REC.                *MC06981
001265     MOVE EXTRACT-DATA OF WS-PREV-REC                             *MC06982
001266                              TO WS-PREV-METAC-REC.               *MC06982
001267     IF SALES-CHANNEL-OWNER-TYPE OF WS-NEW-METAC-REC = SPACES     *MC06983
001268       MOVE SALES-CHANNEL-OWNER-TYPE OF WS-PREV-METAC-REC         *MC06984
001269                                TO SALES-CHANNEL-OWNER-TYPE OF    *MC06984
001270         WS-NEW-METAC-REC.                                        *MC06984
001271     MOVE WS-NEW-METAC-REC    TO EXTRACT-DATA OF WS-NEW-REC.      *MC06986
001272                                                                  *MC06987
001273 0608-EXIT.                                                       *MC06988
001274     EXIT.                                                        *MC06989
001275     EJECT                                                        *MC06990
001276 0609-COMPARE-KEYS SECTION.                                       *MC06991
001277***                                PERFORMED BY SECTION 0506      *MC06992
001278                                                                  *MC06993
001279     SKIP1                                                        *MC06994
001280                                                                  *MC06995
001281*******************************************************************MC06996
001282***  IF KEYS MATCH                                                *MC06997
001283*******************************************************************MC06998
001284                                                                  *MC06999
001285     IF (WS-PREV-REC-KEY = WS-NEW-REC-KEY)                        *MC07000
001286       PERFORM 0705-KEYS-MATCH                                    *MC07001
001287                                                                  *MC07002
001288       ELSE                                                       *MC07003
001289       PERFORM 0706-KEYS-DONT-MATCH.                              *MC07004
001290                                                                  *MC07005
001291 0609-EXIT.                                                       *MC07006
001292     EXIT.                                                        *MC07007
001293     EJECT                                                        *MC07008
001294 0610-READ-PREV-FILE SECTION.                                     *MC07009
001295***                                PERFORMED BY SECTION 0507      *MC07010
001296                                                                  *MC07011
001297     SKIP1                                                        *MC07012
001298                                                                  *MC07013
001299*******************************************************************MC07014
001300***  OP  90:                                                      *MC07015
001301***  READ PREVIOUS FILE                                           *MC07016
001302*******************************************************************MC07017
001303                                                                  *MC07018
001304     MOVE 'N'                 TO WS-READ-PREV-FILE.               *MC07019
001305     IF NOT-END-OF-PREV-FILE                                      *MC07020
001306       READ PREVFILE                                              *MC07021
001307         AT END                                                   *MC07022
001308         MOVE 'Y'                 TO WS-END-OF-PREV-FILE          *MC07023
001309         SUBTRACT 1 FROM WS-PREVFILE-COUNT.                       *MC07024
001310     ADD 1 TO WS-PREVFILE-COUNT.                                  *MC07025
001311                                                                  *MC07026
001312 0610-EXIT.                                                       *MC07027
001313     EXIT.                                                        *MC07028
001314     EJECT                                                        *MC07029
001315 0611-READ-NEW-FILE SECTION.                                      *MC07030
001316***                                PERFORMED BY SECTION 0508      *MC07031
001317                                                                  *MC07032
001318     SKIP1                                                        *MC07033
001319                                                                  *MC07034
001320*******************************************************************MC07035
001321***  OP  95:                                                      *MC07036
001322***  READ NEW FILE                                                *MC07037
001323*******************************************************************MC07038
001324                                                                  *MC07039
001325     MOVE 'N'                 TO WS-READ-NEW-FILE.                *MC07040
001326     IF NOT-END-OF-NEW-FILE                                       *MC07041
001327       READ NEWFILE                                               *MC07042
001328         AT END                                                   *MC07043
001329         MOVE 'Y'                 TO WS-END-OF-NEW-FILE           *MC07044
001330         SUBTRACT 1 FROM WS-NEWFL-CT.                             *MC07045
001331     ADD 1 TO WS-NEWFL-CT.                                        *MC07046
001332                                                                  *MC07047
001333                                                                  *MC07048
001334 0611-EXIT.                                                       *MC07049
001335     EXIT.                                                        *MC07050
001336     EJECT                                                        *MC07051
001337 0612-CALL-GN002-TO-ABEND SECTION.                                *MC07052
001338***                                PERFORMED BY SECTION 0509      *MC07053
001339                                                                  *MC07054
001340     SKIP1                                                        *MC07055
001341                                                                  *MC07056
001342*******************************************************************MC07057
001343***  OP 900:                                                      *MC07058
001344***  CALL GN002 TO ABEND                                          *MC07059
001345*******************************************************************MC07060
001346                                                                  *MC07061
001347     MOVE 2900                TO WS-ABEND-CODE.                   *MC07062
001348                                                                  *MC07063
001349                                                                  *MC07064
001350*******************************************************************MC07065
001351***  OP 999:                                                      *MC07066
001352***  CALL GN002                                                   *MC07067
001353*******************************************************************MC07068
001354                                                                  *MC07069
001355     CALL 'GN002'          USING WS-ABEND-CODE.                   *MC07070
001356                                                                  *MC07071
001357 0612-EXIT.                                                       *MC07072
001358     EXIT.                                                        *MC07073
001359     EJECT                                                        *MC07074
001360 0613-CALL-GN002-TO-ABEND SECTION.                                *MC07075
001361***                                PERFORMED BY SECTION 0510      *MC07076
001362                                                                  *MC07077
001363     SKIP1                                                        *MC07078
001364                                                                  *MC07079
001365*******************************************************************MC07080
001366***  OP 900:                                                      *MC07081
001367***  CALL GN002 TO ABEND                                          *MC07082
001368*******************************************************************MC07083
001369                                                                  *MC07084
001370     MOVE 2900                TO WS-ABEND-CODE.                   *MC07085
001371                                                                  *MC07086
001372                                                                  *MC07087
001373*******************************************************************MC07088
001374***  OP 999:                                                      *MC07089
001375***  CALL GN002                                                   *MC07090
001376*******************************************************************MC07091
001377                                                                  *MC07092
001378     CALL 'GN002'          USING WS-ABEND-CODE.                   *MC07093
001379                                                                  *MC07094
001380 0613-EXIT.                                                       *MC07095
001381     EXIT.                                                        *MC07096
001382     EJECT                                                        *MC07097
001383 0701-PREVCNTL-PARMS-FOUND SECTION.                               *MC07098
001384***                                PERFORMED BY SECTION 0602      *MC07099
001385                                                                  *MC07100
001386     SKIP1                                                        *MC07101
001387                                                                  *MC07102
001388     PERFORM 0801-MOVE-PREVCNTL-TO-W-S.                           *MC07103
001389                                                                  *MC07104
001390 0701-EXIT.                                                       *MC07105
001391     EXIT.                                                        *MC07106
001392     EJECT                                                        *MC07107
001393 0702-OTHERWISE SECTION.                                          *MC07108
001394***                                PERFORMED BY SECTION 0602      *MC07109
001395                                                                  *MC07110
001396     SKIP1                                                        *MC07111
001397                                                                  *MC07112
001398     PERFORM 0802-CALL-GN002.                                     *MC07113
001399                                                                  *MC07114
001400 0702-EXIT.                                                       *MC07115
001401     EXIT.                                                        *MC07116
001402     EJECT                                                        *MC07117
001403 0703-SKIP-RECORD SECTION.                                        *MC07118
001404***                                PERFORMED BY SECTION 0607      *MC07119
001405                                                                  *MC07120
001406     SKIP1                                                        *MC07121
001407                                                                  *MC07122
001408     PERFORM 0803-CHECK-KEYS.                                     *MC07123
001409                                                                  *MC07124
001410                                                                  *MC07125
001411     PERFORM 0804-DON-T-WRITE-DELTA.                              *MC07126
001412                                                                  *MC07127
001413 0703-EXIT.                                                       *MC07128
001414     EXIT.                                                        *MC07129
001415     EJECT                                                        *MC07130
001416 0705-KEYS-MATCH SECTION.                                         *MC07131
001417***                                PERFORMED BY SECTION 0609      *MC07132
001418                                                                  *MC07133
001419     SKIP1                                                        *MC07134
001420                                                                  *MC07135
001421     PERFORM 0805-COMPARE-RECORDS.                                *MC07136
001422                                                                  *MC07137
001423 0705-EXIT.                                                       *MC07138
001424     EXIT.                                                        *MC07139
001425     EJECT                                                        *MC07140
001426 0706-KEYS-DONT-MATCH SECTION.                                    *MC07141
001427***                                PERFORMED BY SECTION 0609      *MC07142
001428                                                                  *MC07143
001429     SKIP1                                                        *MC07144
001430                                                                  *MC07145
001431*******************************************************************MC07146
001432***  IF PREV KEY < NEW KEY                                        *MC07147
001433*******************************************************************MC07148
001434                                                                  *MC07149
001435     IF WS-PREV-REC-KEY < WS-NEW-REC-KEY                          *MC07150
001436       PERFORM 0806-PREV-KEY-NEW-KEY                              *MC07151
001437                                                                  *MC07152
001438       ELSE                                                       *MC07153
001439       PERFORM 0807-OTHERWISE.                                    *MC07154
001440                                                                  *MC07155
001441 0706-EXIT.                                                       *MC07156
001442     EXIT.                                                        *MC07157
001443     EJECT                                                        *MC07158
001444 0801-MOVE-PREVCNTL-TO-W-S SECTION.                               *MC07159
001445***                                PERFORMED BY SECTION 0701      *MC07160
001446                                                                  *MC07161
001447     SKIP1                                                        *MC07162
001448                                                                  *MC07163
001449*******************************************************************MC07164
001450***  OP 200:                                                      *MC07165
001451***  MOVE CONTROL 1 TO W-S.                                       *MC07166
001452*******************************************************************MC07167
001453                                                                  *MC07168
001454     MOVE PREV-CTRL           TO WS-PREVCNTL-PARMS.               *MC07169
001455                                                                  *MC07170
001456                                                                  *MC07171
001457     PERFORM 0902-CHECK-NEW-CNTL-FOUND.                           *MC07172
001458                                                                  *MC07173
001459 0801-EXIT.                                                       *MC07174
001460     EXIT.                                                        *MC07175
001461     EJECT                                                        *MC07176
001462 0802-CALL-GN002 SECTION.                                         *MC07177
001463***                                PERFORMED BY SECTION 0702      *MC07178
001464                                                                  *MC07179
001465     SKIP1                                                        *MC07180
001466                                                                  *MC07181
001467*******************************************************************MC07182
001468***  OP 910:                                                      *MC07183
001469***  SET GN002 ID FOR CONTROL PARMS MISSING                       *MC07184
001470*******************************************************************MC07185
001471                                                                  *MC07186
001472     MOVE 2910                TO WS-ABEND-CODE.                   *MC07187
001473                                                                  *MC07188
001474                                                                  *MC07189
001475*******************************************************************MC07190
001476***  OP 999:                                                      *MC07191
001477***  CALL GN002                                                   *MC07192
001478*******************************************************************MC07193
001479                                                                  *MC07194
001480     CALL 'GN002'          USING WS-ABEND-CODE.                   *MC07195
001481                                                                  *MC07196
001482 0802-EXIT.                                                       *MC07197
001483     EXIT.                                                        *MC07198
001484     EJECT                                                        *MC07199
001485 0803-CHECK-KEYS SECTION.                                         *MC07200
001486***                                PERFORMED BY SECTION 0703      *MC07201
001487                                                                  *MC07202
001488     SKIP1                                                        *MC07203
001489                                                                  *MC07204
001490*******************************************************************MC07205
001491***  IF KEYS MATCH                                                *MC07206
001492*******************************************************************MC07207
001493                                                                  *MC07208
001494     IF WS-NEW-REC-KEY = WS-PREV-REC-KEY                          *MC07209
001495       PERFORM 0904-NEW-KEY-PREV-KEY.                             *MC07210
001496                                                                  *MC07211
001497 0803-EXIT.                                                       *MC07212
001498     EXIT.                                                        *MC07213
001499     EJECT                                                        *MC07214
001500 0804-DON-T-WRITE-DELTA SECTION.                                  *MC07215
001501***                                PERFORMED BY SECTION 0703      *MC07216
001502                                                                  *MC07217
001503     SKIP1                                                        *MC07218
001504                                                                  *MC07219
001505*******************************************************************MC07220
001506***  OP  21:                                                      *MC07221
001507***  DON'T WRITE DELTA RECORD                                     *MC07222
001508*******************************************************************MC07223
001509                                                                  *MC07224
001510     MOVE 'NO'                TO SW-WRITE-DELTA.                  *MC07225
001511                                                                  *MC07226
001512 0804-EXIT.                                                       *MC07227
001513     EXIT.                                                        *MC07228
001514     EJECT                                                        *MC07229
001515 0805-COMPARE-RECORDS SECTION.                                    *MC07230
001516***                                PERFORMED BY SECTION 0705      *MC07231
001517                                                                  *MC07232
001518     SKIP1                                                        *MC07233
001519                                                                  *MC07234
001520*******************************************************************MC07235
001521***  IF RECORDS MATCH                                             *MC07236
001522*******************************************************************MC07237
001523                                                                  *MC07238
001524     IF EXTRACT-DATA OF WS-PREV-REC = EXTRACT-DATA OF WS-NEW-REC  *MC07239
001525       PERFORM 0906-RECORDS-MATCH                                 *MC07240
001526                                                                  *MC07241
001527       ELSE                                                       *MC07242
001528       PERFORM 0907-OTHERWISE.                                    *MC07243
001529                                                                  *MC07244
001530 0805-EXIT.                                                       *MC07245
001531     EXIT.                                                        *MC07246
001532     EJECT                                                        *MC07247
001533 0806-PREV-KEY-NEW-KEY SECTION.                                   *MC07248
001534***                                PERFORMED BY SECTION 0706      *MC07249
001535                                                                  *MC07250
001536     SKIP1                                                        *MC07251
001537                                                                  *MC07252
001538     PERFORM 0908-DELETE-RECORD.                                  *MC07253
001539                                                                  *MC07254
001540 0806-EXIT.                                                       *MC07255
001541     EXIT.                                                        *MC07256
001542     EJECT                                                        *MC07257
001543 0807-OTHERWISE SECTION.                                          *MC07258
001544***                                PERFORMED BY SECTION 0706      *MC07259
001545                                                                  *MC07260
001546     SKIP1                                                        *MC07261
001547                                                                  *MC07262
001548     PERFORM 0909-ADD-RECORD.                                     *MC07263
001549                                                                  *MC07264
001550                                                                  *MC07265
001551     PERFORM 0910-SET-READ-MARKERS.                               *MC07266
001552                                                                  *MC07267
001553 0807-EXIT.                                                       *MC07268
001554     EXIT.                                                        *MC07269
001555     EJECT                                                        *MC07270
001556 0902-CHECK-NEW-CNTL-FOUND SECTION.                               *MC07271
001557***                                PERFORMED BY SECTION 0801      *MC07272
001558                                                                  *MC07273
001559     SKIP1                                                        *MC07274
001560                                                                  *MC07275
001561*******************************************************************MC07276
001562***  IF JOB NAME FOUND                                            *MC07277
001563*******************************************************************MC07278
001564                                                                  *MC07279
001565     IF NOT-END-OF-NEWCNTL-FILE                                   *MC07280
001566       PERFORM 1001-NEWCNTL-PARMS-FOUND                           *MC07281
001567                                                                  *MC07282
001568       ELSE                                                       *MC07283
001569       PERFORM 1002-OTHERWISE.                                    *MC07284
001570                                                                  *MC07285
001571 0902-EXIT.                                                       *MC07286
001572     EXIT.                                                        *MC07287
001573     EJECT                                                        *MC07288
001574 0904-NEW-KEY-PREV-KEY SECTION.                                   *MC07289
001575***                                PERFORMED BY SECTION 0803      *MC07290
001576                                                                  *MC07291
001577     SKIP1                                                        *MC07292
001578                                                                  *MC07293
001579     PERFORM 1003-CREATE-NEXTPREV-FROM-PREV.                      *MC07294
001580                                                                  *MC07295
001581 0904-EXIT.                                                       *MC07296
001582     EXIT.                                                        *MC07297
001583     EJECT                                                        *MC07298
001584 0906-RECORDS-MATCH SECTION.                                      *MC07299
001585***                                PERFORMED BY SECTION 0805      *MC07300
001586                                                                  *MC07301
001587     SKIP1                                                        *MC07302
001588                                                                  *MC07303
001589     PERFORM 1004-MATCHING-RECORD.                                *MC07304
001590                                                                  *MC07305
001591                                                                  *MC07306
001592     PERFORM 1005-WRITE-NEXTPREV.                                 *MC07307
001593                                                                  *MC07308
001594 0906-EXIT.                                                       *MC07309
001595     EXIT.                                                        *MC07310
001596     EJECT                                                        *MC07311
001597 0907-OTHERWISE SECTION.                                          *MC07312
001598***                                PERFORMED BY SECTION 0805      *MC07313
001599                                                                  *MC07314
001600     SKIP1                                                        *MC07315
001601                                                                  *MC07316
001602     PERFORM 1006-CHANGE-RECORD.                                  *MC07317
001603                                                                  *MC07318
001604                                                                  *MC07319
001605     PERFORM 1007-SET-READ-MARKERS.                               *MC07320
001606                                                                  *MC07321
001607 0907-EXIT.                                                       *MC07322
001608     EXIT.                                                        *MC07323
001609     EJECT                                                        *MC07324
001610 0908-DELETE-RECORD SECTION.                                      *MC07325
001611***                                PERFORMED BY SECTION 0806      *MC07326
001612                                                                  *MC07327
001613     SKIP1                                                        *MC07328
001614                                                                  *MC07329
001615     PERFORM 1008-PREPARE-METACOBOL-INPUT.                        *MC07330
001616                                                                  *MC07331
001617                                                                  *MC07332
001618     PERFORM 1009-CALL-METACOBOL-ROUTINE.                         *MC07333
001619                                                                  *MC07334
001620                                                                  *MC07335
001621     PERFORM 1010-WRITE-DELTA-RECORD.                             *MC07336
001622                                                                  *MC07337
001623                                                                  *MC07338
001624     PERFORM 1011-SET-READ-MARKERS.                               *MC07339
001625                                                                  *MC07340
001626 0908-EXIT.                                                       *MC07341
001627     EXIT.                                                        *MC07342
001628     EJECT                                                        *MC07343
001629 0909-ADD-RECORD SECTION.                                         *MC07344
001630***                                PERFORMED BY SECTION 0807      *MC07345
001631                                                                  *MC07346
001632     SKIP1                                                        *MC07347
001633                                                                  *MC07348
001634*******************************************************************MC07349
001635***  IF WRITE DELTA                                               *MC07350
001636*******************************************************************MC07351
001637                                                                  *MC07352
001638     IF SW-WRITE-DELTA = 'YES'                                    *MC07353
001639       PERFORM 1012-WRITE-DELTA.                                  *MC07354
001640                                                                  *MC07355
001641 0909-EXIT.                                                       *MC07356
001642     EXIT.                                                        *MC07357
001643     EJECT                                                        *MC07358
001644 0910-SET-READ-MARKERS SECTION.                                   *MC07359
001645***                                PERFORMED BY SECTION 0807      *MC07360
001646                                                                  *MC07361
001647     SKIP1                                                        *MC07362
001648                                                                  *MC07363
001649*******************************************************************MC07364
001650***  OP  50:                                                      *MC07365
001651***  ADD RECORD                                                   *MC07366
001652*******************************************************************MC07367
001653                                                                  *MC07368
001654     MOVE 'N'                 TO WS-READ-PREV-FILE.               *MC07369
001655     MOVE 'Y'                 TO WS-READ-NEW-FILE.                *MC07370
001656                                                                  *MC07371
001657 0910-EXIT.                                                       *MC07372
001658     EXIT.                                                        *MC07373
001659     EJECT                                                        *MC07374
001660 1001-NEWCNTL-PARMS-FOUND SECTION.                                *MC07375
001661***                                PERFORMED BY SECTION 0902      *MC07376
001662                                                                  *MC07377
001663     SKIP1                                                        *MC07378
001664                                                                  *MC07379
001665     PERFORM 1101-MOVE-NEWCNTL-TO-W-S.                            *MC07380
001666                                                                  *MC07381
001667 1001-EXIT.                                                       *MC07382
001668     EXIT.                                                        *MC07383
001669     EJECT                                                        *MC07384
001670 1002-OTHERWISE SECTION.                                          *MC07385
001671***                                PERFORMED BY SECTION 0902      *MC07386
001672                                                                  *MC07387
001673     SKIP1                                                        *MC07388
001674                                                                  *MC07389
001675     PERFORM 1102-CALL-GN002.                                     *MC07390
001676                                                                  *MC07391
001677 1002-EXIT.                                                       *MC07392
001678     EXIT.                                                        *MC07393
001679     EJECT                                                        *MC07394
001680 1003-CREATE-NEXTPREV-FROM-PREV SECTION.                          *MC07395
001681***                                PERFORMED BY SECTION 0904      *MC07396
001682                                                                  *MC07397
001683     SKIP1                                                        *MC07398
001684                                                                  *MC07399
001685*******************************************************************MC07400
001686***  OP  18:                                                      *MC07401
001687***  WRITE NEXT PREV FROM PREVIOUS REC                            *MC07402
001688*******************************************************************MC07403
001689                                                                  *MC07404
001690     MOVE WS-PREV-REC         TO WS-NEXT-PREV.                    *MC07405
001691     WRITE NEXT-PREV-REC FROM WS-NEXT-PREV.                       *MC07406
001692     ADD 1 TO WS-NEXTP-COUNT.                                     *MC07407
001693     MOVE 'NO'                TO SW-WRITE-NEXTPREV.               *MC07408
001694                                                                  *MC07409
001695 1003-EXIT.                                                       *MC07410
001696     EXIT.                                                        *MC07411
001697     EJECT                                                        *MC07412
001698 1004-MATCHING-RECORD SECTION.                                    *MC07413
001699***                                PERFORMED BY SECTION 0906      *MC07414
001700                                                                  *MC07415
001701     SKIP1                                                        *MC07416
001702                                                                  *MC07417
001703*******************************************************************MC07418
001704***  OP  30:                                                      *MC07419
001705***  FULLY MATCHING RECORD                                        *MC07420
001706*******************************************************************MC07421
001707                                                                  *MC07422
001708     MOVE 'Y'                 TO WS-READ-PREV-FILE.               *MC07423
001709     MOVE 'Y'                 TO WS-READ-NEW-FILE.                *MC07424
001710                                                                  *MC07425
001711                                                                  *MC07426
001712 1004-EXIT.                                                       *MC07427
001713     EXIT.                                                        *MC07428
001714     EJECT                                                        *MC07429
001715 1005-WRITE-NEXTPREV SECTION.                                     *MC07430
001716***                                PERFORMED BY SECTION 0906      *MC07431
001717                                                                  *MC07432
001718     SKIP1                                                        *MC07433
001719                                                                  *MC07434
001720*******************************************************************MC07435
001721***  IF WRITE NEXTPREV                                            *MC07436
001722*******************************************************************MC07437
001723                                                                  *MC07438
001724     IF SW-WRITE-NEXTPREV = 'YES'                                 *MC07439
001725       PERFORM 1105-WRITE-NEXTPREV.                               *MC07440
001726                                                                  *MC07441
001727 1005-EXIT.                                                       *MC07442
001728     EXIT.                                                        *MC07443
001729     EJECT                                                        *MC07444
001730 1006-CHANGE-RECORD SECTION.                                      *MC07445
001731***                                PERFORMED BY SECTION 0907      *MC07446
001732                                                                  *MC07447
001733     SKIP1                                                        *MC07448
001734                                                                  *MC07449
001735*******************************************************************MC07450
001736***  IF WRITE DELTA RECORD                                        *MC07451
001737*******************************************************************MC07452
001738                                                                  *MC07453
001739     IF SW-WRITE-DELTA = 'YES'                                    *MC07454
001740       PERFORM 1106-WRITE-DELTA.                                  *MC07455
001741                                                                  *MC07456
001742 1006-EXIT.                                                       *MC07457
001743     EXIT.                                                        *MC07458
001744     EJECT                                                        *MC07459
001745 1007-SET-READ-MARKERS SECTION.                                   *MC07460
001746***                                PERFORMED BY SECTION 0907      *MC07461
001747                                                                  *MC07462
001748     SKIP1                                                        *MC07463
001749                                                                  *MC07464
001750*******************************************************************MC07465
001751***  OP  35:                                                      *MC07466
001752***  CHANGE RECORD                                                *MC07467
001753*******************************************************************MC07468
001754                                                                  *MC07469
001755     MOVE 'Y'                 TO WS-READ-PREV-FILE.               *MC07470
001756     MOVE 'Y'                 TO WS-READ-NEW-FILE.                *MC07471
001757                                                                  *MC07472
001758 1007-EXIT.                                                       *MC07473
001759     EXIT.                                                        *MC07474
001760     EJECT                                                        *MC07475
001761 1008-PREPARE-METACOBOL-INPUT SECTION.                            *MC07476
001762***                                PERFORMED BY SECTION 0908      *MC07477
001763                                                                  *MC07478
001764     SKIP1                                                        *MC07479
001765                                                                  *MC07480
001766*******************************************************************MC07481
001767***  OP  61:                                                      *MC07482
001768***  PREPARE PREVIOUS METACOBOL INPUT RECORD                      *MC07483
001769*******************************************************************MC07484
001770                                                                  *MC07485
001771     MOVE EXTRACT-DATA OF WS-PREV-REC                             *MC07486
001772                              TO WS-PREV-METAC-REC.               *MC07486
001773                                                                  *MC07487
001774 1008-EXIT.                                                       *MC07488
001775     EXIT.                                                        *MC07489
001776     EJECT                                                        *MC07490
001777 1009-CALL-METACOBOL-ROUTINE SECTION.                             *MC07491
001778***                                PERFORMED BY SECTION 0908      *MC07492
001779                                                                  *MC07493
001780     SKIP1                                                        *MC07494
001781                                                                  *MC07495
001782*******************************************************************MC07496
001783***  OP  39:                                                      *MC07497
001784***  INITIALISE DELTA RECORD                                      *MC07498
001785*******************************************************************MC07499
001786                                                                  *MC07500
001787                                                                  *MC07501
001788***********************************************************       *MC07501
001789***  MACRO SET  SC06UL  INVOKED:                                  *MC07501
001790***  START OF CODE EXPANSION FOR                                  *MC07501
001791***  SC06UL-DELTA-INTIALISE                                       *MC07501
001792***--------------------------------------------------------       *MC07501
001793     MOVE '1' TO DSF-HEADER-1-DELTA                               *MC07501
001794     MOVE '1' TO DSF-HEADER-2-DELTA                               *MC07501
001795     MOVE '1' TO SW-DATE-CREATED-DELTA                            *MC07501
001796     MOVE '1' TO DSF-BIRTHDATE-DELTA                              *MC07501
001797     MOVE '1' TO SW-EMAIL-ADDRESS-DELTA                           *MC07501
001798     MOVE '1' TO DSF-EMPLOY-TYPE-DELTA                            *MC07501
001799     MOVE '1' TO SW-PERSON-ID1-DELTA                              *MC07501
001800     MOVE '1' TO DSF-PO-NUMBER-DELTA                              *MC07501
001801     MOVE '1' TO SW-FIRST-NAME-DELTA                              *MC07501
001802     MOVE '1' TO SW-FULL-NAME-DELTA                               *MC07501
001803     MOVE '1' TO DSF-GENDER-DELTA                                 *MC07501
001804     MOVE '1' TO POSTCODE-DELTA                                   *MC07501
001805     MOVE '1' TO HOME-PHONE-NO-DELTA                              *MC07501
001806     MOVE '1' TO DSF-IFA-IND-DELTA                                *MC07501
001807     MOVE '1' TO DSF-EMPLOY-DESC-DELTA                            *MC07501
001808     MOVE '1' TO DSF-MARITAL-STATUS-DELTA                         *MC07501
001809     MOVE '1' TO SW-MIDDLE-NAME-DELTA                             *MC07501
001810     MOVE '1' TO DSF-NI-NUMBER-DELTA                              *MC07501
001811     MOVE '1' TO DSF-SALUTATION-DELTA                             *MC07501
001812     MOVE '1' TO DSF-SMOKER-DELTA                                 *MC07501
001813     MOVE '1' TO DSF-SUPP-MAIL-DELTA                              *MC07501
001814     MOVE '1' TO DSF-PHONE-DISC-DELTA                             *MC07501
001815     MOVE '1' TO SW-LAST-NAME-DELTA                               *MC07501
001816     MOVE '1' TO DSF-TAX-RATE-DELTA                               *MC07501
001817     MOVE '1' TO DSF-TAX-WHEN-DELTA                               *MC07501
001818     MOVE '1' TO SW-TITLE-DELTA                                   *MC07501
001819     MOVE '1' TO WORK-PHONE-NO-DELTA                              *MC07501
001820     MOVE '1' TO SALES-CHANNEL-OWNER-TYPE-DELTA.                  *MC07501
001821***--------------------------------------------------------       *MC07501
001822***  END OF CODE EXPANSION                                        *MC07501
001823***********************************************************       *MC07501
001824                                                                  *MC07501
001825                                                                  *MC07502
001826                                                                  *MC07503
001827*******************************************************************MC07504
001828***  OP  37:                                                      *MC07505
001829***  CALL METACOBOL ROUTINE FOR DELTA DELETES                     *MC07506
001830*******************************************************************MC07507
001831                                                                  *MC07508
001832                                                                  *MC07509
001833***********************************************************       *MC07509
001834***  MACRO SET  SC06UL  INVOKED:                                  *MC07509
001835***  START OF CODE EXPANSION FOR                                  *MC07509
001836***  SC06UL-POPULATE                                              *MC07509
001837***--------------------------------------------------------       *MC07509
001838     MOVE DSF-HEADER-1 IN ADDRESSEE-TEXT-1 IN ENQUIRER-DATA IN    *MC07509
001839       WS-PREV-METAC-REC TO DSF-HEADER-1 IN ADDRESSEE-TEXT-1 IN   *MC07509
001840       REST-OF-DELTA-REC                                          *MC07509
001841     MOVE DSF-HEADER-2 IN ADDRESSEE-TEXT-2 IN ENQUIRER-DATA IN    *MC07509
001842       WS-PREV-METAC-REC TO DSF-HEADER-2 IN ADDRESSEE-TEXT-2 IN   *MC07509
001843       REST-OF-DELTA-REC                                          *MC07509
001844     MOVE SW-DATE-CREATED IN CREATE-DATE IN ENQUIRER-DATA IN      *MC07509
001845       WS-PREV-METAC-REC TO SW-DATE-CREATED IN CREATE-DATE IN     *MC07509
001846       REST-OF-DELTA-REC                                          *MC07509
001847     MOVE DSF-BIRTHDATE IN DATE-OF-BIRTH IN ENQUIRER-DATA IN      *MC07509
001848       WS-PREV-METAC-REC TO DSF-BIRTHDATE IN DATE-OF-BIRTH IN     *MC07509
001849       REST-OF-DELTA-REC                                          *MC07509
001850     MOVE SW-EMAIL-ADDRESS IN E-MAIL-ADDRESS IN ENQUIRER-DATA IN  *MC07509
001851       WS-PREV-METAC-REC TO SW-EMAIL-ADDRESS IN E-MAIL-ADDRESS    *MC07509
001852       IN REST-OF-DELTA-REC                                       *MC07509
001853     MOVE DSF-EMPLOY-TYPE IN EMPLOYMENT-TYPE IN ENQUIRER-DATA IN  *MC07509
001854       WS-PREV-METAC-REC TO DSF-EMPLOY-TYPE IN EMPLOYMENT-TYPE    *MC07509
001855       IN REST-OF-DELTA-REC                                       *MC07509
001856     MOVE SW-PERSON-ID1 IN ENQUIRER-NUMBER IN ENQUIRER-DATA IN    *MC07509
001857       WS-PREV-METAC-REC TO SW-PERSON-ID1 IN ENQUIRER-NUMBER IN   *MC07509
001858       REST-OF-DELTA-REC                                          *MC07509
001859     MOVE DSF-PO-NUMBER IN EXISTING-CUST-IND IN ENQUIRER-DATA IN  *MC07509
001860       WS-PREV-METAC-REC TO DSF-PO-NUMBER IN EXISTING-CUST-IND    *MC07509
001861       IN REST-OF-DELTA-REC                                       *MC07509
001862     MOVE SW-FIRST-NAME IN FIRST-NAME IN ENQUIRER-DATA IN         *MC07509
001863       WS-PREV-METAC-REC TO SW-FIRST-NAME IN FIRST-NAME IN        *MC07509
001864       REST-OF-DELTA-REC                                          *MC07509
001865     MOVE SW-FULL-NAME IN FULL-NAME IN ENQUIRER-DATA IN           *MC07509
001866       WS-PREV-METAC-REC TO SW-FULL-NAME IN FULL-NAME IN          *MC07509
001867       REST-OF-DELTA-REC                                          *MC07509
001868     MOVE DSF-GENDER IN GENDER IN ENQUIRER-DATA IN                *MC07509
001869       WS-PREV-METAC-REC TO DSF-GENDER IN GENDER IN               *MC07509
001870       REST-OF-DELTA-REC                                          *MC07509
001871     MOVE POSTCODE IN GEO-ID IN ENQUIRER-DATA IN                  *MC07509
001872       WS-PREV-METAC-REC TO POSTCODE IN GEO-ID IN                 *MC07509
001873       REST-OF-DELTA-REC                                          *MC07509
001874     MOVE HOME-PHONE-NO IN ENQUIRER-DATA IN WS-PREV-METAC-REC TO  *MC07509
001875       HOME-PHONE-NO IN REST-OF-DELTA-REC                         *MC07509
001876     MOVE DSF-IFA-IND IN IFA-IND IN ENQUIRER-DATA IN              *MC07509
001877       WS-PREV-METAC-REC TO DSF-IFA-IND IN IFA-IND IN             *MC07509
001878       REST-OF-DELTA-REC                                          *MC07509
001879     MOVE DSF-EMPLOY-DESC IN JOB-TITLE IN ENQUIRER-DATA IN        *MC07509
001880       WS-PREV-METAC-REC TO DSF-EMPLOY-DESC IN JOB-TITLE IN       *MC07509
001881       REST-OF-DELTA-REC                                          *MC07509
001882     MOVE DSF-MARITAL-STATUS IN MARITAL-STATUS IN ENQUIRER-DATA   *MC07509
001883       IN WS-PREV-METAC-REC TO DSF-MARITAL-STATUS IN              *MC07509
001884       MARITAL-STATUS IN REST-OF-DELTA-REC                        *MC07509
001885     MOVE SW-MIDDLE-NAME IN MIDDLE-NAME IN ENQUIRER-DATA IN       *MC07509
001886       WS-PREV-METAC-REC TO SW-MIDDLE-NAME IN MIDDLE-NAME IN      *MC07509
001887       REST-OF-DELTA-REC                                          *MC07509
001888     MOVE DSF-NI-NUMBER IN NI-NUMBER IN ENQUIRER-DATA IN          *MC07509
001889       WS-PREV-METAC-REC TO DSF-NI-NUMBER IN NI-NUMBER IN         *MC07509
001890       REST-OF-DELTA-REC                                          *MC07509
001891     MOVE DSF-SALUTATION IN SALUTATION IN ENQUIRER-DATA IN        *MC07509
001892       WS-PREV-METAC-REC TO DSF-SALUTATION IN SALUTATION IN       *MC07509
001893       REST-OF-DELTA-REC                                          *MC07509
001894     MOVE DSF-SMOKER IN SMOKER-STATUS IN ENQUIRER-DATA IN         *MC07509
001895       WS-PREV-METAC-REC TO DSF-SMOKER IN SMOKER-STATUS IN        *MC07509
001896       REST-OF-DELTA-REC                                          *MC07509
001897     MOVE DSF-SUPP-MAIL IN SUPP-MAIL-IND IN ENQUIRER-DATA IN      *MC07509
001898       WS-PREV-METAC-REC TO DSF-SUPP-MAIL IN SUPP-MAIL-IND IN     *MC07509
001899       REST-OF-DELTA-REC                                          *MC07509
001900     MOVE DSF-PHONE-DISC IN SUPP-TEL-IND IN ENQUIRER-DATA IN      *MC07509
001901       WS-PREV-METAC-REC TO DSF-PHONE-DISC IN SUPP-TEL-IND IN     *MC07509
001902       REST-OF-DELTA-REC                                          *MC07509
001903     MOVE SW-LAST-NAME IN SURNAME IN ENQUIRER-DATA IN             *MC07509
001904       WS-PREV-METAC-REC TO SW-LAST-NAME IN SURNAME IN            *MC07509
001905       REST-OF-DELTA-REC                                          *MC07509
001906     MOVE DSF-TAX-RATE IN TAX-RATE IN ENQUIRER-DATA IN            *MC07509
001907       WS-PREV-METAC-REC TO DSF-TAX-RATE IN TAX-RATE IN           *MC07509
001908       REST-OF-DELTA-REC                                          *MC07509
001909     MOVE DSF-TAX-WHEN IN TAX-WHEN IN ENQUIRER-DATA IN            *MC07509
001910       WS-PREV-METAC-REC TO DSF-TAX-WHEN IN TAX-WHEN IN           *MC07509
001911       REST-OF-DELTA-REC                                          *MC07509
001912     MOVE SW-TITLE IN TITIL IN ENQUIRER-DATA IN                   *MC07509
001913       WS-PREV-METAC-REC TO SW-TITLE IN TITIL IN                  *MC07509
001914       REST-OF-DELTA-REC                                          *MC07509
001915     MOVE WORK-PHONE-NO IN ENQUIRER-DATA IN WS-PREV-METAC-REC TO  *MC07509
001916       WORK-PHONE-NO IN REST-OF-DELTA-REC                         *MC07509
001917     MOVE SALES-CHANNEL-OWNER-TYPE IN ENQUIRER-DATA IN            *MC07509
001918       WS-PREV-METAC-REC TO SALES-CHANNEL-OWNER-TYPE IN           *MC07509
001919       REST-OF-DELTA-REC.                                         *MC07509
001920***--------------------------------------------------------       *MC07509
001921***  END OF CODE EXPANSION                                        *MC07509
001922***********************************************************       *MC07509
001923                                                                  *MC07509
001924                                                                  *MC07510
001925 1009-EXIT.                                                       *MC07511
001926     EXIT.                                                        *MC07512
001927     EJECT                                                        *MC07513
001928 1010-WRITE-DELTA-RECORD SECTION.                                 *MC07514
001929***                                PERFORMED BY SECTION 0908      *MC07515
001930                                                                  *MC07516
001931     SKIP1                                                        *MC07517
001932                                                                  *MC07518
001933*******************************************************************MC07519
001934***  OP  72:                                                      *MC07520
001935***  ASSIGN ACTION CODE FOR DELETES                               *MC07521
001936*******************************************************************MC07522
001937                                                                  *MC07523
001938     MOVE 'D'                 TO ACTION-CODE OF WS-DELTA-OUTPUT.  *MC07524
001939                                                                  *MC07525
001940                                                                  *MC07526
001941*******************************************************************MC07527
001942***  OP  82:                                                      *MC07528
001943***  PREPARE DELTA OUTPUT RECORD                                  *MC07529
001944*******************************************************************MC07530
001945                                                                  *MC07531
001946     MOVE RECORD-TYPE OF WS-PREV-REC                              *MC07532
001947                              TO RECORD-TYPE OF WS-DELTA-OUTPUT.  *MC07532
001948     MOVE 'JDWHXVV2'          TO SOURCE-ID OF WS-DELTA-OUTPUT.    *MC07534
001949     MOVE SW-PERSON-ID OF WS-PREV-REC                             *MC07535
001950                              TO SW-PERSON-ID OF WS-DELTA-OUTPUT. *MC07535
001951     MOVE RUN-DATE OF WS-RUN-PARAMS                               *MC07537
001952                              TO SOURCE-SYS-EXT-DT OF             *MC07537
001953       WS-DELTA-OUTPUT.                                           *MC07537
001954     MOVE WS-DELTA-REC        TO ENQUIRER-DETAILS OF              *MC07539
001955       WS-DELTA-OUTPUT.                                           *MC07539
001956                                                                  *MC07540
001957                                                                  *MC07541
001958*******************************************************************MC07542
001959***  OP  85:                                                      *MC07543
001960***  WRITE TO DELTA FILE                                          *MC07544
001961*******************************************************************MC07545
001962                                                                  *MC07546
001963     WRITE DEL-REC FROM WS-DELTA-OUTPUT.                          *MC07547
001964     ADD 1 TO WS-DELTA-COUNT.                                     *MC07548
001965                                                                  *MC07549
001966 1010-EXIT.                                                       *MC07550
001967     EXIT.                                                        *MC07551
001968     EJECT                                                        *MC07552
001969 1011-SET-READ-MARKERS SECTION.                                   *MC07553
001970***                                PERFORMED BY SECTION 0908      *MC07554
001971                                                                  *MC07555
001972     SKIP1                                                        *MC07556
001973                                                                  *MC07557
001974*******************************************************************MC07558
001975***  OP  45:                                                      *MC07559
001976***  DELETE RECORD                                                *MC07560
001977*******************************************************************MC07561
001978                                                                  *MC07562
001979     MOVE 'Y'                 TO WS-READ-PREV-FILE.               *MC07563
001980     MOVE 'N'                 TO WS-READ-NEW-FILE.                *MC07564
001981                                                                  *MC07565
001982 1011-EXIT.                                                       *MC07566
001983     EXIT.                                                        *MC07567
001984     EJECT                                                        *MC07568
001985 1012-WRITE-DELTA SECTION.                                        *MC07569
001986***                                PERFORMED BY SECTION 0909      *MC07570
001987                                                                  *MC07571
001988     SKIP1                                                        *MC07572
001989                                                                  *MC07573
001990     PERFORM 1112-WRITE-NEXTPREV.                                 *MC07574
001991                                                                  *MC07575
001992                                                                  *MC07576
001993     PERFORM 1113-CLEAN-DATA.                                     *MC07577
001994                                                                  *MC07578
001995                                                                  *MC07579
001996     PERFORM 1114-MOVE-CLEANED-DATA.                              *MC07580
001997                                                                  *MC07581
001998                                                                  *MC07582
001999     PERFORM 1115-CALL-METACOBOL-ROUTINE.                         *MC07583
002000                                                                  *MC07584
002001                                                                  *MC07585
002002     PERFORM 1116-WRITE-DELTA-REC.                                *MC07586
002003                                                                  *MC07587
002004 1012-EXIT.                                                       *MC07588
002005     EXIT.                                                        *MC07589
002006     EJECT                                                        *MC07590
002007 1101-MOVE-NEWCNTL-TO-W-S SECTION.                                *MC07591
002008***                                PERFORMED BY SECTION 1001      *MC07592
002009                                                                  *MC07593
002010     SKIP1                                                        *MC07594
002011                                                                  *MC07595
002012*******************************************************************MC07596
002013***  OP 210:                                                      *MC07597
002014***  MOVE CONTROL 2 TO W-S.                                       *MC07598
002015*******************************************************************MC07599
002016                                                                  *MC07600
002017     MOVE NEW-CTRL            TO WS-NEWCNTL-PARMS.                *MC07601
002018                                                                  *MC07602
002019 1101-EXIT.                                                       *MC07603
002020     EXIT.                                                        *MC07604
002021     EJECT                                                        *MC07605
002022 1102-CALL-GN002 SECTION.                                         *MC07606
002023***                                PERFORMED BY SECTION 1002      *MC07607
002024                                                                  *MC07608
002025     SKIP1                                                        *MC07609
002026                                                                  *MC07610
002027*******************************************************************MC07611
002028***  OP 910:                                                      *MC07612
002029***  SET GN002 ID FOR CONTROL PARMS MISSING                       *MC07613
002030*******************************************************************MC07614
002031                                                                  *MC07615
002032     MOVE 2910                TO WS-ABEND-CODE.                   *MC07616
002033                                                                  *MC07617
002034                                                                  *MC07618
002035*******************************************************************MC07619
002036***  OP 999:                                                      *MC07620
002037***  CALL GN002                                                   *MC07621
002038*******************************************************************MC07622
002039                                                                  *MC07623
002040     CALL 'GN002'          USING WS-ABEND-CODE.                   *MC07624
002041                                                                  *MC07625
002042 1102-EXIT.                                                       *MC07626
002043     EXIT.                                                        *MC07627
002044     EJECT                                                        *MC07628
002045 1105-WRITE-NEXTPREV SECTION.                                     *MC07629
002046***                                PERFORMED BY SECTION 1005      *MC07630
002047                                                                  *MC07631
002048     SKIP1                                                        *MC07632
002049                                                                  *MC07633
002050*******************************************************************MC07634
002051***  OP  19:                                                      *MC07635
002052***  WRITE NEXT PREV FROM NEW REC                                 *MC07636
002053*******************************************************************MC07637
002054                                                                  *MC07638
002055     MOVE WS-NEW-REC          TO WS-NEXT-PREV.                    *MC07639
002056     WRITE NEXT-PREV-REC FROM WS-NEXT-PREV.                       *MC07640
002057     ADD 1 TO WS-NEXTP-COUNT.                                     *MC07641
002058                                                                  *MC07642
002059 1105-EXIT.                                                       *MC07643
002060     EXIT.                                                        *MC07644
002061     EJECT                                                        *MC07645
002062 1106-WRITE-DELTA SECTION.                                        *MC07646
002063***                                PERFORMED BY SECTION 1006      *MC07647
002064                                                                  *MC07648
002065     SKIP1                                                        *MC07649
002066                                                                  *MC07650
002067     PERFORM 1204-WRITE-NEXTPREV-FROM-NEW.                        *MC07651
002068                                                                  *MC07652
002069                                                                  *MC07653
002070     PERFORM 1205-CLEAN-DATA.                                     *MC07654
002071                                                                  *MC07655
002072                                                                  *MC07656
002073     PERFORM 1206-MOVE-CLEANED-DATA.                              *MC07657
002074                                                                  *MC07658
002075                                                                  *MC07659
002076     PERFORM 1207-CALL-2-METACOBOL-ROUTINES.                      *MC07660
002077                                                                  *MC07661
002078                                                                  *MC07662
002079     PERFORM 1208-WRITE-DELTA-REC.                                *MC07663
002080                                                                  *MC07664
002081 1106-EXIT.                                                       *MC07665
002082     EXIT.                                                        *MC07666
002083     EJECT                                                        *MC07667
002084 1112-WRITE-NEXTPREV SECTION.                                     *MC07668
002085***                                PERFORMED BY SECTION 1012      *MC07669
002086                                                                  *MC07670
002087     SKIP1                                                        *MC07671
002088                                                                  *MC07672
002089*******************************************************************MC07673
002090***  IF WRITE NEXTPREV                                            *MC07674
002091*******************************************************************MC07675
002092                                                                  *MC07676
002093     IF SW-WRITE-NEXTPREV = 'YES'                                 *MC07677
002094       PERFORM 1209-WRITE-NEXTPREV.                               *MC07678
002095                                                                  *MC07679
002096 1112-EXIT.                                                       *MC07680
002097     EXIT.                                                        *MC07681
002098     EJECT                                                        *MC07682
002099 1113-CLEAN-DATA SECTION.                                         *MC07683
002100***                                PERFORMED BY SECTION 1012      *MC07684
002101                                                                  *MC07685
002102     SKIP1                                                        *MC07686
002103                                                                  *MC07687
002104     PERFORM 1210-CLEAN-DATES.                                    *MC07688
002105                                                                  *MC07689
002106 1113-EXIT.                                                       *MC07690
002107     EXIT.                                                        *MC07691
002108     EJECT                                                        *MC07692
002109 1114-MOVE-CLEANED-DATA SECTION.                                  *MC07693
002110***                                PERFORMED BY SECTION 1012      *MC07694
002111                                                                  *MC07695
002112     SKIP1                                                        *MC07696
002113                                                                  *MC07697
002114*******************************************************************MC07698
002115***  OP  60:                                                      *MC07699
002116***  PREPARE NEW METACOBOL INPUT RECORDS                          *MC07700
002117*******************************************************************MC07701
002118                                                                  *MC07702
002119     MOVE EXTRACT-DATA OF WS-NEW-REC                              *MC07703
002120                              TO WS-NEW-METAC-REC.                *MC07703
002121                                                                  *MC07704
002122 1114-EXIT.                                                       *MC07705
002123     EXIT.                                                        *MC07706
002124     EJECT                                                        *MC07707
002125 1115-CALL-METACOBOL-ROUTINE SECTION.                             *MC07708
002126***                                PERFORMED BY SECTION 1012      *MC07709
002127                                                                  *MC07710
002128     SKIP1                                                        *MC07711
002129                                                                  *MC07712
002130*******************************************************************MC07713
002131***  OP  39:                                                      *MC07714
002132***  INITIALISE DELTA RECORD                                      *MC07715
002133*******************************************************************MC07716
002134                                                                  *MC07717
002135                                                                  *MC07718
002136***********************************************************       *MC07718
002137***  MACRO SET  SC06UL  INVOKED:                                  *MC07718
002138***  START OF CODE EXPANSION FOR                                  *MC07718
002139***  SC06UL-DELTA-INTIALISE                                       *MC07718
002140***--------------------------------------------------------       *MC07718
002141     MOVE '1' TO DSF-HEADER-1-DELTA                               *MC07718
002142     MOVE '1' TO DSF-HEADER-2-DELTA                               *MC07718
002143     MOVE '1' TO SW-DATE-CREATED-DELTA                            *MC07718
002144     MOVE '1' TO DSF-BIRTHDATE-DELTA                              *MC07718
002145     MOVE '1' TO SW-EMAIL-ADDRESS-DELTA                           *MC07718
002146     MOVE '1' TO DSF-EMPLOY-TYPE-DELTA                            *MC07718
002147     MOVE '1' TO SW-PERSON-ID1-DELTA                              *MC07718
002148     MOVE '1' TO DSF-PO-NUMBER-DELTA                              *MC07718
002149     MOVE '1' TO SW-FIRST-NAME-DELTA                              *MC07718
002150     MOVE '1' TO SW-FULL-NAME-DELTA                               *MC07718
002151     MOVE '1' TO DSF-GENDER-DELTA                                 *MC07718
002152     MOVE '1' TO POSTCODE-DELTA                                   *MC07718
002153     MOVE '1' TO HOME-PHONE-NO-DELTA                              *MC07718
002154     MOVE '1' TO DSF-IFA-IND-DELTA                                *MC07718
002155     MOVE '1' TO DSF-EMPLOY-DESC-DELTA                            *MC07718
002156     MOVE '1' TO DSF-MARITAL-STATUS-DELTA                         *MC07718
002157     MOVE '1' TO SW-MIDDLE-NAME-DELTA                             *MC07718
002158     MOVE '1' TO DSF-NI-NUMBER-DELTA                              *MC07718
002159     MOVE '1' TO DSF-SALUTATION-DELTA                             *MC07718
002160     MOVE '1' TO DSF-SMOKER-DELTA                                 *MC07718
002161     MOVE '1' TO DSF-SUPP-MAIL-DELTA                              *MC07718
002162     MOVE '1' TO DSF-PHONE-DISC-DELTA                             *MC07718
002163     MOVE '1' TO SW-LAST-NAME-DELTA                               *MC07718
002164     MOVE '1' TO DSF-TAX-RATE-DELTA                               *MC07718
002165     MOVE '1' TO DSF-TAX-WHEN-DELTA                               *MC07718
002166     MOVE '1' TO SW-TITLE-DELTA                                   *MC07718
002167     MOVE '1' TO WORK-PHONE-NO-DELTA                              *MC07718
002168     MOVE '1' TO SALES-CHANNEL-OWNER-TYPE-DELTA.                  *MC07718
002169***--------------------------------------------------------       *MC07718
002170***  END OF CODE EXPANSION                                        *MC07718
002171***********************************************************       *MC07718
002172                                                                  *MC07718
002173                                                                  *MC07719
002174                                                                  *MC07720
002175*******************************************************************MC07721
002176***  OP  36:                                                      *MC07722
002177***  CALL METACOBOL ROUTINE FOR DELTA ADDS,CHANGES                *MC07723
002178*******************************************************************MC07724
002179                                                                  *MC07725
002180                                                                  *MC07726
002181***********************************************************       *MC07726
002182***  MACRO SET  SC06UL  INVOKED:                                  *MC07726
002183***  START OF CODE EXPANSION FOR                                  *MC07726
002184***  SC06UL-POPULATE                                              *MC07726
002185***--------------------------------------------------------       *MC07726
002186     MOVE DSF-HEADER-1 IN ADDRESSEE-TEXT-1 IN ENQUIRER-DATA IN    *MC07726
002187       WS-NEW-METAC-REC TO DSF-HEADER-1 IN ADDRESSEE-TEXT-1 IN    *MC07726
002188       REST-OF-DELTA-REC                                          *MC07726
002189     MOVE DSF-HEADER-2 IN ADDRESSEE-TEXT-2 IN ENQUIRER-DATA IN    *MC07726
002190       WS-NEW-METAC-REC TO DSF-HEADER-2 IN ADDRESSEE-TEXT-2 IN    *MC07726
002191       REST-OF-DELTA-REC                                          *MC07726
002192     MOVE SW-DATE-CREATED IN CREATE-DATE IN ENQUIRER-DATA IN      *MC07726
002193       WS-NEW-METAC-REC TO SW-DATE-CREATED IN CREATE-DATE IN      *MC07726
002194       REST-OF-DELTA-REC                                          *MC07726
002195     MOVE DSF-BIRTHDATE IN DATE-OF-BIRTH IN ENQUIRER-DATA IN      *MC07726
002196       WS-NEW-METAC-REC TO DSF-BIRTHDATE IN DATE-OF-BIRTH IN      *MC07726
002197       REST-OF-DELTA-REC                                          *MC07726
002198     MOVE SW-EMAIL-ADDRESS IN E-MAIL-ADDRESS IN ENQUIRER-DATA IN  *MC07726
002199       WS-NEW-METAC-REC TO SW-EMAIL-ADDRESS IN E-MAIL-ADDRESS IN  *MC07726
002200       REST-OF-DELTA-REC                                          *MC07726
002201     MOVE DSF-EMPLOY-TYPE IN EMPLOYMENT-TYPE IN ENQUIRER-DATA IN  *MC07726
002202       WS-NEW-METAC-REC TO DSF-EMPLOY-TYPE IN EMPLOYMENT-TYPE IN  *MC07726
002203       REST-OF-DELTA-REC                                          *MC07726
002204     MOVE SW-PERSON-ID1 IN ENQUIRER-NUMBER IN ENQUIRER-DATA IN    *MC07726
002205       WS-NEW-METAC-REC TO SW-PERSON-ID1 IN ENQUIRER-NUMBER IN    *MC07726
002206       REST-OF-DELTA-REC                                          *MC07726
002207     MOVE DSF-PO-NUMBER IN EXISTING-CUST-IND IN ENQUIRER-DATA IN  *MC07726
002208       WS-NEW-METAC-REC TO DSF-PO-NUMBER IN EXISTING-CUST-IND IN  *MC07726
002209       REST-OF-DELTA-REC                                          *MC07726
002210     MOVE SW-FIRST-NAME IN FIRST-NAME IN ENQUIRER-DATA IN         *MC07726
002211       WS-NEW-METAC-REC TO SW-FIRST-NAME IN FIRST-NAME IN         *MC07726
002212       REST-OF-DELTA-REC                                          *MC07726
002213     MOVE SW-FULL-NAME IN FULL-NAME IN ENQUIRER-DATA IN           *MC07726
002214       WS-NEW-METAC-REC TO SW-FULL-NAME IN FULL-NAME IN           *MC07726
002215       REST-OF-DELTA-REC                                          *MC07726
002216     MOVE DSF-GENDER IN GENDER IN ENQUIRER-DATA IN                *MC07726
002217       WS-NEW-METAC-REC TO DSF-GENDER IN GENDER IN                *MC07726
002218       REST-OF-DELTA-REC                                          *MC07726
002219     MOVE POSTCODE IN GEO-ID IN ENQUIRER-DATA IN                  *MC07726
002220       WS-NEW-METAC-REC TO POSTCODE IN GEO-ID IN                  *MC07726
002221       REST-OF-DELTA-REC                                          *MC07726
002222     MOVE HOME-PHONE-NO IN ENQUIRER-DATA IN WS-NEW-METAC-REC TO   *MC07726
002223       HOME-PHONE-NO IN REST-OF-DELTA-REC                         *MC07726
002224     MOVE DSF-IFA-IND IN IFA-IND IN ENQUIRER-DATA IN              *MC07726
002225       WS-NEW-METAC-REC TO DSF-IFA-IND IN IFA-IND IN              *MC07726
002226       REST-OF-DELTA-REC                                          *MC07726
002227     MOVE DSF-EMPLOY-DESC IN JOB-TITLE IN ENQUIRER-DATA IN        *MC07726
002228       WS-NEW-METAC-REC TO DSF-EMPLOY-DESC IN JOB-TITLE IN        *MC07726
002229       REST-OF-DELTA-REC                                          *MC07726
002230     MOVE DSF-MARITAL-STATUS IN MARITAL-STATUS IN ENQUIRER-DATA   *MC07726
002231       IN WS-NEW-METAC-REC TO DSF-MARITAL-STATUS IN               *MC07726
002232       MARITAL-STATUS IN REST-OF-DELTA-REC                        *MC07726
002233     MOVE SW-MIDDLE-NAME IN MIDDLE-NAME IN ENQUIRER-DATA IN       *MC07726
002234       WS-NEW-METAC-REC TO SW-MIDDLE-NAME IN MIDDLE-NAME IN       *MC07726
002235       REST-OF-DELTA-REC                                          *MC07726
002236     MOVE DSF-NI-NUMBER IN NI-NUMBER IN ENQUIRER-DATA IN          *MC07726
002237       WS-NEW-METAC-REC TO DSF-NI-NUMBER IN NI-NUMBER IN          *MC07726
002238       REST-OF-DELTA-REC                                          *MC07726
002239     MOVE DSF-SALUTATION IN SALUTATION IN ENQUIRER-DATA IN        *MC07726
002240       WS-NEW-METAC-REC TO DSF-SALUTATION IN SALUTATION IN        *MC07726
002241       REST-OF-DELTA-REC                                          *MC07726
002242     MOVE DSF-SMOKER IN SMOKER-STATUS IN ENQUIRER-DATA IN         *MC07726
002243       WS-NEW-METAC-REC TO DSF-SMOKER IN SMOKER-STATUS IN         *MC07726
002244       REST-OF-DELTA-REC                                          *MC07726
002245     MOVE DSF-SUPP-MAIL IN SUPP-MAIL-IND IN ENQUIRER-DATA IN      *MC07726
002246       WS-NEW-METAC-REC TO DSF-SUPP-MAIL IN SUPP-MAIL-IND IN      *MC07726
002247       REST-OF-DELTA-REC                                          *MC07726
002248     MOVE DSF-PHONE-DISC IN SUPP-TEL-IND IN ENQUIRER-DATA IN      *MC07726
002249       WS-NEW-METAC-REC TO DSF-PHONE-DISC IN SUPP-TEL-IND IN      *MC07726
002250       REST-OF-DELTA-REC                                          *MC07726
002251     MOVE SW-LAST-NAME IN SURNAME IN ENQUIRER-DATA IN             *MC07726
002252       WS-NEW-METAC-REC TO SW-LAST-NAME IN SURNAME IN             *MC07726
002253       REST-OF-DELTA-REC                                          *MC07726
002254     MOVE DSF-TAX-RATE IN TAX-RATE IN ENQUIRER-DATA IN            *MC07726
002255       WS-NEW-METAC-REC TO DSF-TAX-RATE IN TAX-RATE IN            *MC07726
002256       REST-OF-DELTA-REC                                          *MC07726
002257     MOVE DSF-TAX-WHEN IN TAX-WHEN IN ENQUIRER-DATA IN            *MC07726
002258       WS-NEW-METAC-REC TO DSF-TAX-WHEN IN TAX-WHEN IN            *MC07726
002259       REST-OF-DELTA-REC                                          *MC07726
002260     MOVE SW-TITLE IN TITIL IN ENQUIRER-DATA IN WS-NEW-METAC-REC  *MC07726
002261       TO SW-TITLE IN TITIL IN REST-OF-DELTA-REC                  *MC07726
002262     MOVE WORK-PHONE-NO IN ENQUIRER-DATA IN WS-NEW-METAC-REC TO   *MC07726
002263       WORK-PHONE-NO IN REST-OF-DELTA-REC                         *MC07726
002264     MOVE SALES-CHANNEL-OWNER-TYPE IN ENQUIRER-DATA IN            *MC07726
002265       WS-NEW-METAC-REC TO SALES-CHANNEL-OWNER-TYPE IN            *MC07726
002266       REST-OF-DELTA-REC.                                         *MC07726
002267***--------------------------------------------------------       *MC07726
002268***  END OF CODE EXPANSION                                        *MC07726
002269***********************************************************       *MC07726
002270                                                                  *MC07726
002271                                                                  *MC07727
002272 1115-EXIT.                                                       *MC07728
002273     EXIT.                                                        *MC07729
002274     EJECT                                                        *MC07730
002275 1116-WRITE-DELTA-REC SECTION.                                    *MC07731
002276***                                PERFORMED BY SECTION 1012      *MC07732
002277                                                                  *MC07733
002278     SKIP1                                                        *MC07734
002279                                                                  *MC07735
002280*******************************************************************MC07736
002281***  OP  70:                                                      *MC07737
002282***  ASSIGN ACTION CODE FOR ADDS                                  *MC07738
002283*******************************************************************MC07739
002284                                                                  *MC07740
002285     MOVE 'A'                 TO ACTION-CODE OF WS-DELTA-OUTPUT.  *MC07741
002286                                                                  *MC07742
002287                                                                  *MC07743
002288*******************************************************************MC07744
002289***  OP  80:                                                      *MC07745
002290***  PREPARE DELTA OUTPUT RECORD                                  *MC07746
002291*******************************************************************MC07747
002292                                                                  *MC07748
002293     MOVE RECORD-TYPE OF WS-NEW-REC                               *MC07749
002294                              TO RECORD-TYPE OF WS-DELTA-OUTPUT.  *MC07749
002295     MOVE 'JDWHXVV2'          TO SOURCE-ID OF WS-DELTA-OUTPUT.    *MC07751
002296     MOVE SW-PERSON-ID OF WS-NEW-REC                              *MC07752
002297                              TO SW-PERSON-ID OF WS-DELTA-OUTPUT. *MC07752
002298     MOVE SOURCE-SYS-EXT-DT OF WS-NEW-REC                         *MC07754
002299                              TO SOURCE-SYS-EXT-DT OF             *MC07754
002300       WS-DELTA-OUTPUT.                                           *MC07754
002301     MOVE WS-DELTA-REC        TO ENQUIRER-DETAILS OF              *MC07756
002302       WS-DELTA-OUTPUT.                                           *MC07756
002303                                                                  *MC07757
002304                                                                  *MC07758
002305*******************************************************************MC07759
002306***  OP  85:                                                      *MC07760
002307***  WRITE TO DELTA FILE                                          *MC07761
002308*******************************************************************MC07762
002309                                                                  *MC07763
002310     WRITE DEL-REC FROM WS-DELTA-OUTPUT.                          *MC07764
002311     ADD 1 TO WS-DELTA-COUNT.                                     *MC07765
002312                                                                  *MC07766
002313 1116-EXIT.                                                       *MC07767
002314     EXIT.                                                        *MC07768
002315     EJECT                                                        *MC07769
002316 1204-WRITE-NEXTPREV-FROM-NEW SECTION.                            *MC07770
002317***                                PERFORMED BY SECTION 1106      *MC07771
002318                                                                  *MC07772
002319     SKIP1                                                        *MC07773
002320                                                                  *MC07774
002321*******************************************************************MC07775
002322***  IF WRITE NEXTPREV                                            *MC07776
002323*******************************************************************MC07777
002324                                                                  *MC07778
002325     IF SW-WRITE-NEXTPREV = 'YES'                                 *MC07779
002326       PERFORM 1301-WRITE-NEXTPREV.                               *MC07780
002327                                                                  *MC07781
002328 1204-EXIT.                                                       *MC07782
002329     EXIT.                                                        *MC07783
002330     EJECT                                                        *MC07784
002331 1205-CLEAN-DATA SECTION.                                         *MC07785
002332***                                PERFORMED BY SECTION 1106      *MC07786
002333                                                                  *MC07787
002334     SKIP1                                                        *MC07788
002335                                                                  *MC07789
002336     PERFORM 1302-CLEAN-DATES.                                    *MC07790
002337                                                                  *MC07791
002338 1205-EXIT.                                                       *MC07792
002339     EXIT.                                                        *MC07793
002340     EJECT                                                        *MC07794
002341 1206-MOVE-CLEANED-DATA SECTION.                                  *MC07795
002342***                                PERFORMED BY SECTION 1106      *MC07796
002343                                                                  *MC07797
002344     SKIP1                                                        *MC07798
002345                                                                  *MC07799
002346*******************************************************************MC07800
002347***  OP  60:                                                      *MC07801
002348***  PREPARE NEW METACOBOL INPUT RECORDS                          *MC07802
002349*******************************************************************MC07803
002350                                                                  *MC07804
002351     MOVE EXTRACT-DATA OF WS-NEW-REC                              *MC07805
002352                              TO WS-NEW-METAC-REC.                *MC07805
002353                                                                  *MC07806
002354                                                                  *MC07807
002355*******************************************************************MC07808
002356***  OP  61:                                                      *MC07809
002357***  PREPARE PREVIOUS METACOBOL INPUT RECORD                      *MC07810
002358*******************************************************************MC07811
002359                                                                  *MC07812
002360     MOVE EXTRACT-DATA OF WS-PREV-REC                             *MC07813
002361                              TO WS-PREV-METAC-REC.               *MC07813
002362                                                                  *MC07814
002363 1206-EXIT.                                                       *MC07815
002364     EXIT.                                                        *MC07816
002365     EJECT                                                        *MC07817
002366 1207-CALL-2-METACOBOL-ROUTINES SECTION.                          *MC07818
002367***                                PERFORMED BY SECTION 1106      *MC07819
002368                                                                  *MC07820
002369     SKIP1                                                        *MC07821
002370                                                                  *MC07822
002371*******************************************************************MC07823
002372***  OP  39:                                                      *MC07824
002373***  INITIALISE DELTA RECORD                                      *MC07825
002374*******************************************************************MC07826
002375                                                                  *MC07827
002376                                                                  *MC07828
002377***********************************************************       *MC07828
002378***  MACRO SET  SC06UL  INVOKED:                                  *MC07828
002379***  START OF CODE EXPANSION FOR                                  *MC07828
002380***  SC06UL-DELTA-INTIALISE                                       *MC07828
002381***--------------------------------------------------------       *MC07828
002382     MOVE '1' TO DSF-HEADER-1-DELTA                               *MC07828
002383     MOVE '1' TO DSF-HEADER-2-DELTA                               *MC07828
002384     MOVE '1' TO SW-DATE-CREATED-DELTA                            *MC07828
002385     MOVE '1' TO DSF-BIRTHDATE-DELTA                              *MC07828
002386     MOVE '1' TO SW-EMAIL-ADDRESS-DELTA                           *MC07828
002387     MOVE '1' TO DSF-EMPLOY-TYPE-DELTA                            *MC07828
002388     MOVE '1' TO SW-PERSON-ID1-DELTA                              *MC07828
002389     MOVE '1' TO DSF-PO-NUMBER-DELTA                              *MC07828
002390     MOVE '1' TO SW-FIRST-NAME-DELTA                              *MC07828
002391     MOVE '1' TO SW-FULL-NAME-DELTA                               *MC07828
002392     MOVE '1' TO DSF-GENDER-DELTA                                 *MC07828
002393     MOVE '1' TO POSTCODE-DELTA                                   *MC07828
002394     MOVE '1' TO HOME-PHONE-NO-DELTA                              *MC07828
002395     MOVE '1' TO DSF-IFA-IND-DELTA                                *MC07828
002396     MOVE '1' TO DSF-EMPLOY-DESC-DELTA                            *MC07828
002397     MOVE '1' TO DSF-MARITAL-STATUS-DELTA                         *MC07828
002398     MOVE '1' TO SW-MIDDLE-NAME-DELTA                             *MC07828
002399     MOVE '1' TO DSF-NI-NUMBER-DELTA                              *MC07828
002400     MOVE '1' TO DSF-SALUTATION-DELTA                             *MC07828
002401     MOVE '1' TO DSF-SMOKER-DELTA                                 *MC07828
002402     MOVE '1' TO DSF-SUPP-MAIL-DELTA                              *MC07828
002403     MOVE '1' TO DSF-PHONE-DISC-DELTA                             *MC07828
002404     MOVE '1' TO SW-LAST-NAME-DELTA                               *MC07828
002405     MOVE '1' TO DSF-TAX-RATE-DELTA                               *MC07828
002406     MOVE '1' TO DSF-TAX-WHEN-DELTA                               *MC07828
002407     MOVE '1' TO SW-TITLE-DELTA                                   *MC07828
002408     MOVE '1' TO WORK-PHONE-NO-DELTA                              *MC07828
002409     MOVE '1' TO SALES-CHANNEL-OWNER-TYPE-DELTA.                  *MC07828
002410***--------------------------------------------------------       *MC07828
002411***  END OF CODE EXPANSION                                        *MC07828
002412***********************************************************       *MC07828
002413                                                                  *MC07828
002414                                                                  *MC07829
002415                                                                  *MC07830
002416*******************************************************************MC07831
002417***  OP  36:                                                      *MC07832
002418***  CALL METACOBOL ROUTINE FOR DELTA ADDS,CHANGES                *MC07833
002419*******************************************************************MC07834
002420                                                                  *MC07835
002421                                                                  *MC07836
002422***********************************************************       *MC07836
002423***  MACRO SET  SC06UL  INVOKED:                                  *MC07836
002424***  START OF CODE EXPANSION FOR                                  *MC07836
002425***  SC06UL-POPULATE                                              *MC07836
002426***--------------------------------------------------------       *MC07836
002427     MOVE DSF-HEADER-1 IN ADDRESSEE-TEXT-1 IN ENQUIRER-DATA IN    *MC07836
002428       WS-NEW-METAC-REC TO DSF-HEADER-1 IN ADDRESSEE-TEXT-1 IN    *MC07836
002429       REST-OF-DELTA-REC                                          *MC07836
002430     MOVE DSF-HEADER-2 IN ADDRESSEE-TEXT-2 IN ENQUIRER-DATA IN    *MC07836
002431       WS-NEW-METAC-REC TO DSF-HEADER-2 IN ADDRESSEE-TEXT-2 IN    *MC07836
002432       REST-OF-DELTA-REC                                          *MC07836
002433     MOVE SW-DATE-CREATED IN CREATE-DATE IN ENQUIRER-DATA IN      *MC07836
002434       WS-NEW-METAC-REC TO SW-DATE-CREATED IN CREATE-DATE IN      *MC07836
002435       REST-OF-DELTA-REC                                          *MC07836
002436     MOVE DSF-BIRTHDATE IN DATE-OF-BIRTH IN ENQUIRER-DATA IN      *MC07836
002437       WS-NEW-METAC-REC TO DSF-BIRTHDATE IN DATE-OF-BIRTH IN      *MC07836
002438       REST-OF-DELTA-REC                                          *MC07836
002439     MOVE SW-EMAIL-ADDRESS IN E-MAIL-ADDRESS IN ENQUIRER-DATA IN  *MC07836
002440       WS-NEW-METAC-REC TO SW-EMAIL-ADDRESS IN E-MAIL-ADDRESS IN  *MC07836
002441       REST-OF-DELTA-REC                                          *MC07836
002442     MOVE DSF-EMPLOY-TYPE IN EMPLOYMENT-TYPE IN ENQUIRER-DATA IN  *MC07836
002443       WS-NEW-METAC-REC TO DSF-EMPLOY-TYPE IN EMPLOYMENT-TYPE IN  *MC07836
002444       REST-OF-DELTA-REC                                          *MC07836
002445     MOVE SW-PERSON-ID1 IN ENQUIRER-NUMBER IN ENQUIRER-DATA IN    *MC07836
002446       WS-NEW-METAC-REC TO SW-PERSON-ID1 IN ENQUIRER-NUMBER IN    *MC07836
002447       REST-OF-DELTA-REC                                          *MC07836
002448     MOVE DSF-PO-NUMBER IN EXISTING-CUST-IND IN ENQUIRER-DATA IN  *MC07836
002449       WS-NEW-METAC-REC TO DSF-PO-NUMBER IN EXISTING-CUST-IND IN  *MC07836
002450       REST-OF-DELTA-REC                                          *MC07836
002451     MOVE SW-FIRST-NAME IN FIRST-NAME IN ENQUIRER-DATA IN         *MC07836
002452       WS-NEW-METAC-REC TO SW-FIRST-NAME IN FIRST-NAME IN         *MC07836
002453       REST-OF-DELTA-REC                                          *MC07836
002454     MOVE SW-FULL-NAME IN FULL-NAME IN ENQUIRER-DATA IN           *MC07836
002455       WS-NEW-METAC-REC TO SW-FULL-NAME IN FULL-NAME IN           *MC07836
002456       REST-OF-DELTA-REC                                          *MC07836
002457     MOVE DSF-GENDER IN GENDER IN ENQUIRER-DATA IN                *MC07836
002458       WS-NEW-METAC-REC TO DSF-GENDER IN GENDER IN                *MC07836
002459       REST-OF-DELTA-REC                                          *MC07836
002460     MOVE POSTCODE IN GEO-ID IN ENQUIRER-DATA IN                  *MC07836
002461       WS-NEW-METAC-REC TO POSTCODE IN GEO-ID IN                  *MC07836
002462       REST-OF-DELTA-REC                                          *MC07836
002463     MOVE HOME-PHONE-NO IN ENQUIRER-DATA IN WS-NEW-METAC-REC TO   *MC07836
002464       HOME-PHONE-NO IN REST-OF-DELTA-REC                         *MC07836
002465     MOVE DSF-IFA-IND IN IFA-IND IN ENQUIRER-DATA IN              *MC07836
002466       WS-NEW-METAC-REC TO DSF-IFA-IND IN IFA-IND IN              *MC07836
002467       REST-OF-DELTA-REC                                          *MC07836
002468     MOVE DSF-EMPLOY-DESC IN JOB-TITLE IN ENQUIRER-DATA IN        *MC07836
002469       WS-NEW-METAC-REC TO DSF-EMPLOY-DESC IN JOB-TITLE IN        *MC07836
002470       REST-OF-DELTA-REC                                          *MC07836
002471     MOVE DSF-MARITAL-STATUS IN MARITAL-STATUS IN ENQUIRER-DATA   *MC07836
002472       IN WS-NEW-METAC-REC TO DSF-MARITAL-STATUS IN               *MC07836
002473       MARITAL-STATUS IN REST-OF-DELTA-REC                        *MC07836
002474     MOVE SW-MIDDLE-NAME IN MIDDLE-NAME IN ENQUIRER-DATA IN       *MC07836
002475       WS-NEW-METAC-REC TO SW-MIDDLE-NAME IN MIDDLE-NAME IN       *MC07836
002476       REST-OF-DELTA-REC                                          *MC07836
002477     MOVE DSF-NI-NUMBER IN NI-NUMBER IN ENQUIRER-DATA IN          *MC07836
002478       WS-NEW-METAC-REC TO DSF-NI-NUMBER IN NI-NUMBER IN          *MC07836
002479       REST-OF-DELTA-REC                                          *MC07836
002480     MOVE DSF-SALUTATION IN SALUTATION IN ENQUIRER-DATA IN        *MC07836
002481       WS-NEW-METAC-REC TO DSF-SALUTATION IN SALUTATION IN        *MC07836
002482       REST-OF-DELTA-REC                                          *MC07836
002483     MOVE DSF-SMOKER IN SMOKER-STATUS IN ENQUIRER-DATA IN         *MC07836
002484       WS-NEW-METAC-REC TO DSF-SMOKER IN SMOKER-STATUS IN         *MC07836
002485       REST-OF-DELTA-REC                                          *MC07836
002486     MOVE DSF-SUPP-MAIL IN SUPP-MAIL-IND IN ENQUIRER-DATA IN      *MC07836
002487       WS-NEW-METAC-REC TO DSF-SUPP-MAIL IN SUPP-MAIL-IND IN      *MC07836
002488       REST-OF-DELTA-REC                                          *MC07836
002489     MOVE DSF-PHONE-DISC IN SUPP-TEL-IND IN ENQUIRER-DATA IN      *MC07836
002490       WS-NEW-METAC-REC TO DSF-PHONE-DISC IN SUPP-TEL-IND IN      *MC07836
002491       REST-OF-DELTA-REC                                          *MC07836
002492     MOVE SW-LAST-NAME IN SURNAME IN ENQUIRER-DATA IN             *MC07836
002493       WS-NEW-METAC-REC TO SW-LAST-NAME IN SURNAME IN             *MC07836
002494       REST-OF-DELTA-REC                                          *MC07836
002495     MOVE DSF-TAX-RATE IN TAX-RATE IN ENQUIRER-DATA IN            *MC07836
002496       WS-NEW-METAC-REC TO DSF-TAX-RATE IN TAX-RATE IN            *MC07836
002497       REST-OF-DELTA-REC                                          *MC07836
002498     MOVE DSF-TAX-WHEN IN TAX-WHEN IN ENQUIRER-DATA IN            *MC07836
002499       WS-NEW-METAC-REC TO DSF-TAX-WHEN IN TAX-WHEN IN            *MC07836
002500       REST-OF-DELTA-REC                                          *MC07836
002501     MOVE SW-TITLE IN TITIL IN ENQUIRER-DATA IN WS-NEW-METAC-REC  *MC07836
002502       TO SW-TITLE IN TITIL IN REST-OF-DELTA-REC                  *MC07836
002503     MOVE WORK-PHONE-NO IN ENQUIRER-DATA IN WS-NEW-METAC-REC TO   *MC07836
002504       WORK-PHONE-NO IN REST-OF-DELTA-REC                         *MC07836
002505     MOVE SALES-CHANNEL-OWNER-TYPE IN ENQUIRER-DATA IN            *MC07836
002506       WS-NEW-METAC-REC TO SALES-CHANNEL-OWNER-TYPE IN            *MC07836
002507       REST-OF-DELTA-REC.                                         *MC07836
002508***--------------------------------------------------------       *MC07836
002509***  END OF CODE EXPANSION                                        *MC07836
002510***********************************************************       *MC07836
002511                                                                  *MC07836
002512                                                                  *MC07837
002513                                                                  *MC07838
002514*******************************************************************MC07839
002515***  OP  38:                                                      *MC07840
002516***  CALL 2ND METACOBOL ROUTINE FOR DELTA CHANGES                 *MC07841
002517*******************************************************************MC07842
002518                                                                  *MC07843
002519                                                                  *MC07844
002520***********************************************************       *MC07844
002521***  MACRO SET  SC06UL  INVOKED:                                  *MC07844
002522***  START OF CODE EXPANSION FOR                                  *MC07844
002523***  SC06UL-DELTA-DETECT                                          *MC07844
002524***--------------------------------------------------------       *MC07844
002525     IF DSF-HEADER-1 OF ADDRESSEE-TEXT-1 OF ENQUIRER-DATA OF      *MC07844
002526         WS-NEW-METAC-REC IS NOT EQUAL DSF-HEADER-1 OF            *MC07844
002527         ADDRESSEE-TEXT-1 OF ENQUIRER-DATA OF WS-PREV-METAC-REC   *MC07844
002528       MOVE '1' TO DSF-HEADER-1-DELTA OF WS-DELTA-REC             *MC07844
002529     ELSE                                                         *MC07844
002530       MOVE '0' TO DSF-HEADER-1-DELTA OF WS-DELTA-REC.            *MC07844
002531     IF DSF-HEADER-2 OF ADDRESSEE-TEXT-2 OF ENQUIRER-DATA OF      *MC07844
002532         WS-NEW-METAC-REC IS NOT EQUAL DSF-HEADER-2 OF            *MC07844
002533         ADDRESSEE-TEXT-2 OF ENQUIRER-DATA OF WS-PREV-METAC-REC   *MC07844
002534       MOVE '1' TO DSF-HEADER-2-DELTA OF WS-DELTA-REC             *MC07844
002535     ELSE                                                         *MC07844
002536       MOVE '0' TO DSF-HEADER-2-DELTA OF WS-DELTA-REC.            *MC07844
002537     IF SW-DATE-CREATED OF CREATE-DATE OF ENQUIRER-DATA OF        *MC07844
002538         WS-NEW-METAC-REC IS NOT EQUAL SW-DATE-CREATED OF         *MC07844
002539         CREATE-DATE OF ENQUIRER-DATA OF WS-PREV-METAC-REC        *MC07844
002540       MOVE '1' TO SW-DATE-CREATED-DELTA OF WS-DELTA-REC          *MC07844
002541     ELSE                                                         *MC07844
002542       MOVE '0' TO SW-DATE-CREATED-DELTA OF WS-DELTA-REC.         *MC07844
002543     IF DSF-BIRTHDATE OF DATE-OF-BIRTH OF ENQUIRER-DATA OF        *MC07844
002544         WS-NEW-METAC-REC IS NOT EQUAL DSF-BIRTHDATE OF           *MC07844
002545         DATE-OF-BIRTH OF ENQUIRER-DATA OF WS-PREV-METAC-REC      *MC07844
002546       MOVE '1' TO DSF-BIRTHDATE-DELTA OF WS-DELTA-REC            *MC07844
002547     ELSE                                                         *MC07844
002548       MOVE '0' TO DSF-BIRTHDATE-DELTA OF WS-DELTA-REC.           *MC07844
002549     IF SW-EMAIL-ADDRESS OF E-MAIL-ADDRESS OF ENQUIRER-DATA OF    *MC07844
002550         WS-NEW-METAC-REC IS NOT EQUAL SW-EMAIL-ADDRESS OF        *MC07844
002551         E-MAIL-ADDRESS OF ENQUIRER-DATA OF WS-PREV-METAC-REC     *MC07844
002552       MOVE '1' TO SW-EMAIL-ADDRESS-DELTA OF WS-DELTA-REC         *MC07844
002553     ELSE                                                         *MC07844
002554       MOVE '0' TO SW-EMAIL-ADDRESS-DELTA OF WS-DELTA-REC.        *MC07844
002555     IF DSF-EMPLOY-TYPE OF EMPLOYMENT-TYPE OF ENQUIRER-DATA OF    *MC07844
002556         WS-NEW-METAC-REC IS NOT EQUAL DSF-EMPLOY-TYPE OF         *MC07844
002557         EMPLOYMENT-TYPE OF ENQUIRER-DATA OF WS-PREV-METAC-REC    *MC07844
002558       MOVE '1' TO DSF-EMPLOY-TYPE-DELTA OF WS-DELTA-REC          *MC07844
002559     ELSE                                                         *MC07844
002560       MOVE '0' TO DSF-EMPLOY-TYPE-DELTA OF WS-DELTA-REC.         *MC07844
002561     IF SW-PERSON-ID1 OF ENQUIRER-NUMBER OF ENQUIRER-DATA OF      *MC07844
002562         WS-NEW-METAC-REC IS NOT EQUAL SW-PERSON-ID1 OF           *MC07844
002563         ENQUIRER-NUMBER OF ENQUIRER-DATA OF WS-PREV-METAC-REC    *MC07844
002564       MOVE '1' TO SW-PERSON-ID1-DELTA OF WS-DELTA-REC            *MC07844
002565     ELSE                                                         *MC07844
002566       MOVE '0' TO SW-PERSON-ID1-DELTA OF WS-DELTA-REC.           *MC07844
002567     IF DSF-PO-NUMBER OF EXISTING-CUST-IND OF ENQUIRER-DATA OF    *MC07844
002568         WS-NEW-METAC-REC IS NOT EQUAL DSF-PO-NUMBER OF           *MC07844
002569         EXISTING-CUST-IND OF ENQUIRER-DATA OF WS-PREV-METAC-REC  *MC07844
002570       MOVE '1' TO DSF-PO-NUMBER-DELTA OF WS-DELTA-REC            *MC07844
002571     ELSE                                                         *MC07844
002572       MOVE '0' TO DSF-PO-NUMBER-DELTA OF WS-DELTA-REC.           *MC07844
002573     IF SW-FIRST-NAME OF FIRST-NAME OF ENQUIRER-DATA OF           *MC07844
002574         WS-NEW-METAC-REC IS NOT EQUAL SW-FIRST-NAME OF           *MC07844
002575         FIRST-NAME OF ENQUIRER-DATA OF WS-PREV-METAC-REC         *MC07844
002576       MOVE '1' TO SW-FIRST-NAME-DELTA OF WS-DELTA-REC            *MC07844
002577     ELSE                                                         *MC07844
002578       MOVE '0' TO SW-FIRST-NAME-DELTA OF WS-DELTA-REC.           *MC07844
002579     IF SW-FULL-NAME OF FULL-NAME OF ENQUIRER-DATA OF             *MC07844
002580         WS-NEW-METAC-REC IS NOT EQUAL SW-FULL-NAME OF FULL-NAME  *MC07844
002581         OF ENQUIRER-DATA OF WS-PREV-METAC-REC                    *MC07844
002582       MOVE '1' TO SW-FULL-NAME-DELTA OF WS-DELTA-REC             *MC07844
002583     ELSE                                                         *MC07844
002584       MOVE '0' TO SW-FULL-NAME-DELTA OF WS-DELTA-REC.            *MC07844
002585     IF DSF-GENDER OF GENDER OF ENQUIRER-DATA OF                  *MC07844
002586         WS-NEW-METAC-REC IS NOT EQUAL DSF-GENDER OF GENDER OF    *MC07844
002587         ENQUIRER-DATA OF WS-PREV-METAC-REC                       *MC07844
002588       MOVE '1' TO DSF-GENDER-DELTA OF WS-DELTA-REC               *MC07844
002589     ELSE                                                         *MC07844
002590       MOVE '0' TO DSF-GENDER-DELTA OF WS-DELTA-REC.              *MC07844
002591     IF POSTCODE OF GEO-ID OF ENQUIRER-DATA OF WS-NEW-METAC-REC   *MC07844
002592         IS NOT EQUAL POSTCODE OF GEO-ID OF ENQUIRER-DATA OF      *MC07844
002593         WS-PREV-METAC-REC                                        *MC07844
002594       MOVE '1' TO POSTCODE-DELTA OF WS-DELTA-REC                 *MC07844
002595     ELSE                                                         *MC07844
002596       MOVE '0' TO POSTCODE-DELTA OF WS-DELTA-REC.                *MC07844
002597     IF HOME-PHONE-NO OF ENQUIRER-DATA OF WS-NEW-METAC-REC IS     *MC07844
002598         NOT EQUAL HOME-PHONE-NO OF ENQUIRER-DATA OF              *MC07844
002599         WS-PREV-METAC-REC                                        *MC07844
002600       MOVE '1' TO HOME-PHONE-NO-DELTA OF WS-DELTA-REC            *MC07844
002601     ELSE                                                         *MC07844
002602       MOVE '0' TO HOME-PHONE-NO-DELTA OF WS-DELTA-REC.           *MC07844
002603     IF DSF-IFA-IND OF IFA-IND OF ENQUIRER-DATA OF                *MC07844
002604         WS-NEW-METAC-REC IS NOT EQUAL DSF-IFA-IND OF IFA-IND OF  *MC07844
002605         ENQUIRER-DATA OF WS-PREV-METAC-REC                       *MC07844
002606       MOVE '1' TO DSF-IFA-IND-DELTA OF WS-DELTA-REC              *MC07844
002607     ELSE                                                         *MC07844
002608       MOVE '0' TO DSF-IFA-IND-DELTA OF WS-DELTA-REC.             *MC07844
002609     IF DSF-EMPLOY-DESC OF JOB-TITLE OF ENQUIRER-DATA OF          *MC07844
002610         WS-NEW-METAC-REC IS NOT EQUAL DSF-EMPLOY-DESC OF         *MC07844
002611         JOB-TITLE OF ENQUIRER-DATA OF WS-PREV-METAC-REC          *MC07844
002612       MOVE '1' TO DSF-EMPLOY-DESC-DELTA OF WS-DELTA-REC          *MC07844
002613     ELSE                                                         *MC07844
002614       MOVE '0' TO DSF-EMPLOY-DESC-DELTA OF WS-DELTA-REC.         *MC07844
002615     IF DSF-MARITAL-STATUS OF MARITAL-STATUS OF ENQUIRER-DATA OF  *MC07844
002616         WS-NEW-METAC-REC IS NOT EQUAL DSF-MARITAL-STATUS OF      *MC07844
002617         MARITAL-STATUS OF ENQUIRER-DATA OF WS-PREV-METAC-REC     *MC07844
002618       MOVE '1' TO DSF-MARITAL-STATUS-DELTA OF WS-DELTA-REC       *MC07844
002619     ELSE                                                         *MC07844
002620       MOVE '0' TO DSF-MARITAL-STATUS-DELTA OF WS-DELTA-REC.      *MC07844
002621     IF SW-MIDDLE-NAME OF MIDDLE-NAME OF ENQUIRER-DATA OF         *MC07844
002622         WS-NEW-METAC-REC IS NOT EQUAL SW-MIDDLE-NAME OF          *MC07844
002623         MIDDLE-NAME OF ENQUIRER-DATA OF WS-PREV-METAC-REC        *MC07844
002624       MOVE '1' TO SW-MIDDLE-NAME-DELTA OF WS-DELTA-REC           *MC07844
002625     ELSE                                                         *MC07844
002626       MOVE '0' TO SW-MIDDLE-NAME-DELTA OF WS-DELTA-REC.          *MC07844
002627     IF DSF-NI-NUMBER OF NI-NUMBER OF ENQUIRER-DATA OF            *MC07844
002628         WS-NEW-METAC-REC IS NOT EQUAL DSF-NI-NUMBER OF           *MC07844
002629         NI-NUMBER OF ENQUIRER-DATA OF WS-PREV-METAC-REC          *MC07844
002630       MOVE '1' TO DSF-NI-NUMBER-DELTA OF WS-DELTA-REC            *MC07844
002631     ELSE                                                         *MC07844
002632       MOVE '0' TO DSF-NI-NUMBER-DELTA OF WS-DELTA-REC.           *MC07844
002633     IF DSF-SALUTATION OF SALUTATION OF ENQUIRER-DATA OF          *MC07844
002634         WS-NEW-METAC-REC IS NOT EQUAL DSF-SALUTATION OF          *MC07844
002635         SALUTATION OF ENQUIRER-DATA OF WS-PREV-METAC-REC         *MC07844
002636       MOVE '1' TO DSF-SALUTATION-DELTA OF WS-DELTA-REC           *MC07844
002637     ELSE                                                         *MC07844
002638       MOVE '0' TO DSF-SALUTATION-DELTA OF WS-DELTA-REC.          *MC07844
002639     IF DSF-SMOKER OF SMOKER-STATUS OF ENQUIRER-DATA OF           *MC07844
002640         WS-NEW-METAC-REC IS NOT EQUAL DSF-SMOKER OF              *MC07844
002641         SMOKER-STATUS OF ENQUIRER-DATA OF WS-PREV-METAC-REC      *MC07844
002642       MOVE '1' TO DSF-SMOKER-DELTA OF WS-DELTA-REC               *MC07844
002643     ELSE                                                         *MC07844
002644       MOVE '0' TO DSF-SMOKER-DELTA OF WS-DELTA-REC.              *MC07844
002645     IF DSF-SUPP-MAIL OF SUPP-MAIL-IND OF ENQUIRER-DATA OF        *MC07844
002646         WS-NEW-METAC-REC IS NOT EQUAL DSF-SUPP-MAIL OF           *MC07844
002647         SUPP-MAIL-IND OF ENQUIRER-DATA OF WS-PREV-METAC-REC      *MC07844
002648       MOVE '1' TO DSF-SUPP-MAIL-DELTA OF WS-DELTA-REC            *MC07844
002649     ELSE                                                         *MC07844
002650       MOVE '0' TO DSF-SUPP-MAIL-DELTA OF WS-DELTA-REC.           *MC07844
002651     IF DSF-PHONE-DISC OF SUPP-TEL-IND OF ENQUIRER-DATA OF        *MC07844
002652         WS-NEW-METAC-REC IS NOT EQUAL DSF-PHONE-DISC OF          *MC07844
002653         SUPP-TEL-IND OF ENQUIRER-DATA OF WS-PREV-METAC-REC       *MC07844
002654       MOVE '1' TO DSF-PHONE-DISC-DELTA OF WS-DELTA-REC           *MC07844
002655     ELSE                                                         *MC07844
002656       MOVE '0' TO DSF-PHONE-DISC-DELTA OF WS-DELTA-REC.          *MC07844
002657     IF SW-LAST-NAME OF SURNAME OF ENQUIRER-DATA OF               *MC07844
002658         WS-NEW-METAC-REC IS NOT EQUAL SW-LAST-NAME OF SURNAME    *MC07844
002659         OF ENQUIRER-DATA OF WS-PREV-METAC-REC                    *MC07844
002660       MOVE '1' TO SW-LAST-NAME-DELTA OF WS-DELTA-REC             *MC07844
002661     ELSE                                                         *MC07844
002662       MOVE '0' TO SW-LAST-NAME-DELTA OF WS-DELTA-REC.            *MC07844
002663     IF DSF-TAX-RATE OF TAX-RATE OF ENQUIRER-DATA OF              *MC07844
002664         WS-NEW-METAC-REC IS NOT EQUAL DSF-TAX-RATE OF TAX-RATE   *MC07844
002665         OF ENQUIRER-DATA OF WS-PREV-METAC-REC                    *MC07844
002666       MOVE '1' TO DSF-TAX-RATE-DELTA OF WS-DELTA-REC             *MC07844
002667     ELSE                                                         *MC07844
002668       MOVE '0' TO DSF-TAX-RATE-DELTA OF WS-DELTA-REC.            *MC07844
002669     IF DSF-TAX-WHEN OF TAX-WHEN OF ENQUIRER-DATA OF              *MC07844
002670         WS-NEW-METAC-REC IS NOT EQUAL DSF-TAX-WHEN OF TAX-WHEN   *MC07844
002671         OF ENQUIRER-DATA OF WS-PREV-METAC-REC                    *MC07844
002672       MOVE '1' TO DSF-TAX-WHEN-DELTA OF WS-DELTA-REC             *MC07844
002673     ELSE                                                         *MC07844
002674       MOVE '0' TO DSF-TAX-WHEN-DELTA OF WS-DELTA-REC.            *MC07844
002675     IF SW-TITLE OF TITIL OF ENQUIRER-DATA OF WS-NEW-METAC-REC    *MC07844
002676         IS NOT EQUAL SW-TITLE OF TITIL OF ENQUIRER-DATA OF       *MC07844
002677         WS-PREV-METAC-REC                                        *MC07844
002678       MOVE '1' TO SW-TITLE-DELTA OF WS-DELTA-REC                 *MC07844
002679     ELSE                                                         *MC07844
002680       MOVE '0' TO SW-TITLE-DELTA OF WS-DELTA-REC.                *MC07844
002681     IF WORK-PHONE-NO OF ENQUIRER-DATA OF WS-NEW-METAC-REC IS     *MC07844
002682         NOT EQUAL WORK-PHONE-NO OF ENQUIRER-DATA OF              *MC07844
002683         WS-PREV-METAC-REC                                        *MC07844
002684       MOVE '1' TO WORK-PHONE-NO-DELTA OF WS-DELTA-REC            *MC07844
002685     ELSE                                                         *MC07844
002686       MOVE '0' TO WORK-PHONE-NO-DELTA OF WS-DELTA-REC.           *MC07844
002687     IF SALES-CHANNEL-OWNER-TYPE OF ENQUIRER-DATA OF              *MC07844
002688         WS-NEW-METAC-REC IS NOT EQUAL SALES-CHANNEL-OWNER-TYPE   *MC07844
002689         OF ENQUIRER-DATA OF WS-PREV-METAC-REC                    *MC07844
002690       MOVE '1' TO SALES-CHANNEL-OWNER-TYPE-DELTA OF              *MC07844
002691         WS-DELTA-REC                                             *MC07844
002692     ELSE                                                         *MC07844
002693       MOVE '0' TO SALES-CHANNEL-OWNER-TYPE-DELTA OF              *MC07844
002694         WS-DELTA-REC.                                            *MC07844
002695***--------------------------------------------------------       *MC07846
002696***  END OF CODE EXPANSION                                        *MC07846
002697***********************************************************       *MC07846
002698                                                                  *MC07846
002699                                                                  *MC07847
002700 1207-EXIT.                                                       *MC07848
002701     EXIT.                                                        *MC07849
002702     EJECT                                                        *MC07850
002703 1208-WRITE-DELTA-REC SECTION.                                    *MC07851
002704***                                PERFORMED BY SECTION 1106      *MC07852
002705                                                                  *MC07853
002706     SKIP1                                                        *MC07854
002707                                                                  *MC07855
002708*******************************************************************MC07856
002709***  OP  71:                                                      *MC07857
002710***  ASSIGN ACTION CODE FOR CHANGES                               *MC07858
002711*******************************************************************MC07859
002712                                                                  *MC07860
002713     MOVE 'C'                 TO ACTION-CODE OF WS-DELTA-OUTPUT.  *MC07861
002714                                                                  *MC07862
002715                                                                  *MC07863
002716*******************************************************************MC07864
002717***  OP  80:                                                      *MC07865
002718***  PREPARE DELTA OUTPUT RECORD                                  *MC07866
002719*******************************************************************MC07867
002720                                                                  *MC07868
002721     MOVE RECORD-TYPE OF WS-NEW-REC                               *MC07869
002722                              TO RECORD-TYPE OF WS-DELTA-OUTPUT.  *MC07869
002723     MOVE 'JDWHXVV2'          TO SOURCE-ID OF WS-DELTA-OUTPUT.    *MC07871
002724     MOVE SW-PERSON-ID OF WS-NEW-REC                              *MC07872
002725                              TO SW-PERSON-ID OF WS-DELTA-OUTPUT. *MC07872
002726     MOVE SOURCE-SYS-EXT-DT OF WS-NEW-REC                         *MC07874
002727                              TO SOURCE-SYS-EXT-DT OF             *MC07874
002728       WS-DELTA-OUTPUT.                                           *MC07874
002729     MOVE WS-DELTA-REC        TO ENQUIRER-DETAILS OF              *MC07876
002730       WS-DELTA-OUTPUT.                                           *MC07876
002731                                                                  *MC07877
002732                                                                  *MC07878
002733*******************************************************************MC07879
002734***  OP  85:                                                      *MC07880
002735***  WRITE TO DELTA FILE                                          *MC07881
002736*******************************************************************MC07882
002737                                                                  *MC07883
002738     WRITE DEL-REC FROM WS-DELTA-OUTPUT.                          *MC07884
002739     ADD 1 TO WS-DELTA-COUNT.                                     *MC07885
002740                                                                  *MC07886
002741 1208-EXIT.                                                       *MC07887
002742     EXIT.                                                        *MC07888
002743     EJECT                                                        *MC07889
002744 1209-WRITE-NEXTPREV SECTION.                                     *MC07890
002745***                                PERFORMED BY SECTION 1112      *MC07891
002746                                                                  *MC07892
002747     SKIP1                                                        *MC07893
002748                                                                  *MC07894
002749*******************************************************************MC07895
002750***  OP  19:                                                      *MC07896
002751***  WRITE NEXT PREV FROM NEW REC                                 *MC07897
002752*******************************************************************MC07898
002753                                                                  *MC07899
002754     MOVE WS-NEW-REC          TO WS-NEXT-PREV.                    *MC07900
002755     WRITE NEXT-PREV-REC FROM WS-NEXT-PREV.                       *MC07901
002756     ADD 1 TO WS-NEXTP-COUNT.                                     *MC07902
002757                                                                  *MC07903
002758 1209-EXIT.                                                       *MC07904
002759     EXIT.                                                        *MC07905
002760     EJECT                                                        *MC07906
002761 1210-CLEAN-DATES SECTION.                                        *MC07907
002762***                                PERFORMED BY SECTION 1113      *MC07908
002763                                                                  *MC07909
002764     SKIP1                                                        *MC07910
002765                                                                  *MC07911
002766*******************************************************************MC07912
002767***  OP  34:                                                      *MC07913
002768***  CLEAN NUMERICS FROM PREV FILE                                *MC07914
002769***   CLEAN DATES                                                 *MC07915
002770*******************************************************************MC07916
002771                                                                  *MC07917
002772     MOVE EXTRACT-DATA OF WS-PREV-REC                             *MC07918
002773                              TO WS-PREV-METAC-REC.               *MC07918
002774     IF SW-DATE-CREATED OF WS-PREV-METAC-REC = LOW-VALUES         *MC07919
002775       MOVE '31.12.2999'        TO SW-DATE-CREATED OF             *MC07920
002776         WS-PREV-METAC-REC                                        *MC07920
002777     ELSE                                                         *MC07921
002778                                                                  *MC07922
002779***********************************************************       *MC07922
002780***  MACRO SET  SC00HY  INVOKED:                                  *MC07922
002781***  START OF CODE EXPANSION FOR CONDITION                        *MC07922
002782***  FREE DMY DATE SW-DATE-CREATED OF WS-PREV-METAC-REC INVALID   *MC07922
002783***--------------------------------------------------------       *MC07922
002784       MOVE 'V' TO SC00HC-ZWMP02-CMD                              *MC07922
002785       MOVE 'FDMY' TO SC00HC-ZWMP02-I-FORM                        *MC07922
002786       MOVE SW-DATE-CREATED OF WS-PREV-METAC-REC TO               *MC07922
002787         SC00HC-ZWMP02-DISP                                       *MC07922
002788                                                                  *MC07922
002789       CALL 'PZWMP02' USING SC00HC-ZWMP02                         *MC07922
002790                                                                  *MC07922
002791* WRN: MNEMONIC SC00DA-1 ALLOCATED TO EXPRESSION                  *MC07922
002792*      FREE DMY DATE SW-DATE-CREATED OF WS-PREV-METAC-REC         *MC07922
002793* WRN: IDENTIFIER SC00DA-1 UNDEFINED                              *MC07922
002794*      - LEVEL 01 ENTRY CREATED                                   *MC07922
002795       MOVE SC00HC-ZWMP02-CMD TO SC00DA-1                         *MC07922
002796***--------------------------------------------------------       *MC07923
002797***  END OF CODE EXPANSION                                        *MC07923
002798***********************************************************       *MC07923
002799                                                                  *MC07923
002800       IF                                                         *MC07922
002801                                                                  *MC07922
002802***********************************************************       *MC07922
002803***  MACRO SET  SC00HY  INVOKED:                                  *MC07922
002804***  START OF EXPANSION OF CONDITION                              *MC07922
002805***  FREE DMY DATE SW-DATE-CREATED OF WS-PREV-METAC-REC INVALID   *MC07922
002806***--------------------------------------------------------       *MC07922
002807           (SC00DA-1 = 'I')                                       *MC07922
002808***--------------------------------------------------------       *MC07922
002809***  END OF CODE EXPANSION                                        *MC07922
002810***********************************************************       *MC07922
002811                                                                  *MC07922
002812         MOVE '31.12.2999'        TO SW-DATE-CREATED OF           *MC07924
002813           WS-PREV-METAC-REC                                      *MC07924
002814         MOVE RUN-DATE OF WS-RUN-PARAMS                           *MC07926
002815                                  TO ERROR-DATE OF ERROR-DATA     *MC07926
002816         MOVE 'JDWHDVV2'          TO ERROR-JOBNAME OF ERROR-DATA  *MC07928
002817         MOVE 'INVALID SW-DATE-CREATED ON INPUT FILE'             *MC07929
002818                                  TO ERROR-DESCRIPTION OF         *MC07929
002819           ERROR-DATA                                             *MC07929
002820         WRITE ERROR-RECORD FROM ERROR-DATA                       *MC07931
002821         ADD 1 TO WS-ERROR-COUNT.                                 *MC07932
002822                                                                  *MC07933
002823     IF DSF-BIRTHDATE OF WS-PREV-METAC-REC = LOW-VALUES           *MC07934
002824       MOVE '31.12.2999'        TO DSF-BIRTHDATE OF               *MC07935
002825         WS-PREV-METAC-REC                                        *MC07935
002826     ELSE                                                         *MC07936
002827                                                                  *MC07937
002828***********************************************************       *MC07937
002829***  MACRO SET  SC00HY  INVOKED:                                  *MC07937
002830***  START OF CODE EXPANSION FOR CONDITION                        *MC07937
002831***  FREE DMY DATE DSF-BIRTHDATE OF WS-PREV-METAC-REC INVALID     *MC07937
002832***--------------------------------------------------------       *MC07937
002833       MOVE 'V' TO SC00HC-ZWMP02-CMD                              *MC07937
002834       MOVE 'FDMY' TO SC00HC-ZWMP02-I-FORM                        *MC07937
002835       MOVE DSF-BIRTHDATE OF WS-PREV-METAC-REC TO                 *MC07937
002836         SC00HC-ZWMP02-DISP                                       *MC07937
002837                                                                  *MC07937
002838       CALL 'PZWMP02' USING SC00HC-ZWMP02                         *MC07937
002839                                                                  *MC07937
002840* WRN: MNEMONIC SC00DA-2 ALLOCATED TO EXPRESSION                  *MC07937
002841*      FREE DMY DATE DSF-BIRTHDATE OF WS-PREV-METAC-REC           *MC07937
002842* WRN: IDENTIFIER SC00DA-2 UNDEFINED                              *MC07937
002843*      - LEVEL 01 ENTRY CREATED                                   *MC07937
002844       MOVE SC00HC-ZWMP02-CMD TO SC00DA-2                         *MC07937
002845***--------------------------------------------------------       *MC07938
002846***  END OF CODE EXPANSION                                        *MC07938
002847***********************************************************       *MC07938
002848                                                                  *MC07938
002849       IF                                                         *MC07937
002850                                                                  *MC07937
002851***********************************************************       *MC07937
002852***  MACRO SET  SC00HY  INVOKED:                                  *MC07937
002853***  START OF EXPANSION OF CONDITION                              *MC07937
002854***  FREE DMY DATE DSF-BIRTHDATE OF WS-PREV-METAC-REC INVALID     *MC07937
002855***--------------------------------------------------------       *MC07937
002856           (SC00DA-2 = 'I')                                       *MC07937
002857***--------------------------------------------------------       *MC07937
002858***  END OF CODE EXPANSION                                        *MC07937
002859***********************************************************       *MC07937
002860                                                                  *MC07937
002861         MOVE '31.12.2999'        TO DSF-BIRTHDATE OF             *MC07939
002862           WS-PREV-METAC-REC                                      *MC07939
002863         MOVE RUN-DATE OF WS-RUN-PARAMS                           *MC07941
002864                                  TO ERROR-DATE OF ERROR-DATA     *MC07941
002865         MOVE 'JDWHDVV2'          TO ERROR-JOBNAME OF ERROR-DATA  *MC07943
002866         MOVE 'INVALID DSF-BIRTHDATE ON INPUT FILE'               *MC07944
002867                                  TO ERROR-DESCRIPTION OF         *MC07944
002868           ERROR-DATA                                             *MC07944
002869         WRITE ERROR-RECORD FROM ERROR-DATA                       *MC07946
002870         ADD 1 TO WS-ERROR-COUNT.                                 *MC07947
002871     MOVE WS-PREV-METAC-REC   TO EXTRACT-DATA OF WS-PREV-REC.     *MC07948
002872                                                                  *MC07949
002873 1210-EXIT.                                                       *MC07950
002874     EXIT.                                                        *MC07951
002875     EJECT                                                        *MC07952
002876 1301-WRITE-NEXTPREV SECTION.                                     *MC07953
002877***                                PERFORMED BY SECTION 1204      *MC07954
002878                                                                  *MC07955
002879     SKIP1                                                        *MC07956
002880                                                                  *MC07957
002881*******************************************************************MC07958
002882***  OP  19:                                                      *MC07959
002883***  WRITE NEXT PREV FROM NEW REC                                 *MC07960
002884*******************************************************************MC07961
002885                                                                  *MC07962
002886     MOVE WS-NEW-REC          TO WS-NEXT-PREV.                    *MC07963
002887     WRITE NEXT-PREV-REC FROM WS-NEXT-PREV.                       *MC07964
002888     ADD 1 TO WS-NEXTP-COUNT.                                     *MC07965
002889                                                                  *MC07966
002890 1301-EXIT.                                                       *MC07967
002891     EXIT.                                                        *MC07968
002892     EJECT                                                        *MC07969
002893 1302-CLEAN-DATES SECTION.                                        *MC07970
002894***                                PERFORMED BY SECTION 1205      *MC07971
002895                                                                  *MC07972
002896     SKIP1                                                        *MC07973
002897                                                                  *MC07974
002898*******************************************************************MC07975
002899***  OP  33:                                                      *MC07976
002900***  CLEAN NUMERICS FROM NEW FILE                                 *MC07977
002901***   CLEAN DATES                                                 *MC07978
002902*******************************************************************MC07979
002903                                                                  *MC07980
002904     MOVE EXTRACT-DATA OF WS-NEW-REC                              *MC07981
002905                              TO WS-NEW-METAC-REC.                *MC07981
002906     IF SW-DATE-CREATED OF WS-NEW-METAC-REC = LOW-VALUES          *MC07982
002907       MOVE '31.12.2999'        TO SW-DATE-CREATED OF             *MC07983
002908         WS-NEW-METAC-REC                                         *MC07983
002909     ELSE                                                         *MC07984
002910                                                                  *MC07985
002911***********************************************************       *MC07985
002912***  MACRO SET  SC00HY  INVOKED:                                  *MC07985
002913***  START OF CODE EXPANSION FOR CONDITION                        *MC07985
002914***  FREE DMY DATE SW-DATE-CREATED OF WS-NEW-METAC-REC INVALID    *MC07985
002915***--------------------------------------------------------       *MC07985
002916       MOVE 'V' TO SC00HC-ZWMP02-CMD                              *MC07985
002917       MOVE 'FDMY' TO SC00HC-ZWMP02-I-FORM                        *MC07985
002918       MOVE SW-DATE-CREATED OF WS-NEW-METAC-REC TO                *MC07985
002919         SC00HC-ZWMP02-DISP                                       *MC07985
002920                                                                  *MC07985
002921       CALL 'PZWMP02' USING SC00HC-ZWMP02                         *MC07985
002922                                                                  *MC07985
002923* WRN: MNEMONIC SC00DA-3 ALLOCATED TO EXPRESSION                  *MC07985
002924*      FREE DMY DATE SW-DATE-CREATED OF WS-NEW-METAC-REC          *MC07985
002925* WRN: IDENTIFIER SC00DA-3 UNDEFINED                              *MC07985
002926*      - LEVEL 01 ENTRY CREATED                                   *MC07985
002927       MOVE SC00HC-ZWMP02-CMD TO SC00DA-3                         *MC07985
002928***--------------------------------------------------------       *MC07986
002929***  END OF CODE EXPANSION                                        *MC07986
002930***********************************************************       *MC07986
002931                                                                  *MC07986
002932       IF                                                         *MC07985
002933                                                                  *MC07985
002934***********************************************************       *MC07985
002935***  MACRO SET  SC00HY  INVOKED:                                  *MC07985
002936***  START OF EXPANSION OF CONDITION                              *MC07985
002937***  FREE DMY DATE SW-DATE-CREATED OF WS-NEW-METAC-REC INVALID    *MC07985
002938***--------------------------------------------------------       *MC07985
002939           (SC00DA-3 = 'I')                                       *MC07985
002940***--------------------------------------------------------       *MC07985
002941***  END OF CODE EXPANSION                                        *MC07985
002942***********************************************************       *MC07985
002943                                                                  *MC07985
002944         MOVE '31.12.2999'        TO SW-DATE-CREATED OF           *MC07987
002945           WS-NEW-METAC-REC                                       *MC07987
002946         MOVE RUN-DATE OF WS-RUN-PARAMS                           *MC07989
002947                                  TO ERROR-DATE OF ERROR-DATA     *MC07989
002948         MOVE 'JDWHDVV2'          TO ERROR-JOBNAME OF ERROR-DATA  *MC07991
002949         MOVE 'INVALID SW-DATE-CREATED ON INPUT FILE'             *MC07992
002950                                  TO ERROR-DESCRIPTION OF         *MC07992
002951           ERROR-DATA                                             *MC07992
002952         WRITE ERROR-RECORD FROM ERROR-DATA                       *MC07994
002953         ADD 1 TO WS-ERROR-COUNT.                                 *MC07995
002954                                                                  *MC07996
002955     IF DSF-BIRTHDATE OF WS-NEW-METAC-REC = LOW-VALUES            *MC07997
002956       MOVE '31.12.2999'        TO DSF-BIRTHDATE OF               *MC07998
002957         WS-NEW-METAC-REC                                         *MC07998
002958     ELSE                                                         *MC07999
002959                                                                  *MC08000
002960***********************************************************       *MC08000
002961***  MACRO SET  SC00HY  INVOKED:                                  *MC08000
002962***  START OF CODE EXPANSION FOR CONDITION                        *MC08000
002963***  FREE DMY DATE DSF-BIRTHDATE OF WS-NEW-METAC-REC INVALID      *MC08000
002964***--------------------------------------------------------       *MC08000
002965       MOVE 'V' TO SC00HC-ZWMP02-CMD                              *MC08000
002966       MOVE 'FDMY' TO SC00HC-ZWMP02-I-FORM                        *MC08000
002967       MOVE DSF-BIRTHDATE OF WS-NEW-METAC-REC TO                  *MC08000
002968         SC00HC-ZWMP02-DISP                                       *MC08000
002969                                                                  *MC08000
002970       CALL 'PZWMP02' USING SC00HC-ZWMP02                         *MC08000
002971                                                                  *MC08000
002972* WRN: MNEMONIC SC00DA-4 ALLOCATED TO EXPRESSION                  *MC08000
002973*      FREE DMY DATE DSF-BIRTHDATE OF WS-NEW-METAC-REC            *MC08000
002974* WRN: IDENTIFIER SC00DA-4 UNDEFINED                              *MC08000
002975*      - LEVEL 01 ENTRY CREATED                                   *MC08000
002976       MOVE SC00HC-ZWMP02-CMD TO SC00DA-4                         *MC08000
002977***--------------------------------------------------------       *MC08001
002978***  END OF CODE EXPANSION                                        *MC08001
002979***********************************************************       *MC08001
002980                                                                  *MC08001
002981       IF                                                         *MC08000
002982                                                                  *MC08000
002983***********************************************************       *MC08000
002984***  MACRO SET  SC00HY  INVOKED:                                  *MC08000
002985***  START OF EXPANSION OF CONDITION                              *MC08000
002986***  FREE DMY DATE DSF-BIRTHDATE OF WS-NEW-METAC-REC INVALID      *MC08000
002987***--------------------------------------------------------       *MC08000
002988           (SC00DA-4 = 'I')                                       *MC08000
002989***--------------------------------------------------------       *MC08000
002990***  END OF CODE EXPANSION                                        *MC08000
002991***********************************************************       *MC08000
002992                                                                  *MC08000
002993         MOVE '31.12.2999'        TO DSF-BIRTHDATE OF             *MC08002
002994           WS-NEW-METAC-REC                                       *MC08002
002995         MOVE RUN-DATE OF WS-RUN-PARAMS                           *MC08004
002996                                  TO ERROR-DATE OF ERROR-DATA     *MC08004
002997         MOVE 'JDWHDVV2'          TO ERROR-JOBNAME OF ERROR-DATA  *MC08006
002998         MOVE 'INVALID DSF-BIRTHDATE ON INPUT FILE'               *MC08007
002999                                  TO ERROR-DESCRIPTION OF         *MC08007
003000           ERROR-DATA                                             *MC08007
003001         WRITE ERROR-RECORD FROM ERROR-DATA                       *MC08009
003002         ADD 1 TO WS-ERROR-COUNT.                                 *MC08010
003003     MOVE WS-NEW-METAC-REC    TO EXTRACT-DATA OF WS-NEW-REC.      *MC08011
003004                                                                  *MC08012
003005 1302-EXIT.                                                       *MC08013
003006     EXIT.                                                        *MC08014
003007     EJECT                                                        *MC08015
003008                                                                  *MC08016
003009     EJECT                                                        *MC08017
003010                                                                  *MC08018
003011***********************************************************       *MC08019
003012*    COPIES CODED IN THE DATA DIVISION                            *MC08020
003013***********************************************************       *MC08021
003014                                                                  *MC08022
003015*    DWVVX200     68-STYLE OVERRIDE:                              *MC08023
003016*                    PREV-REC                                     *MC08024
003017*    DWVVX200     68-STYLE OVERRIDE:                              *MC08025
003018*                    NEW-REC                                      *MC08026
003019*    DWVVD200     68-STYLE OVERRIDE:                              *MC08027
003020*                    DEL-REC                                      *MC08028
003021*    DWVVX200     68-STYLE OVERRIDE:                              *MC08029
003022*                    NEXT-PREV-REC                                *MC08030
003023*    DWRUNPRM     68-STYLE OVERRIDE:                              *MC08031
003024*                    PARM-REC                                     *MC08032
003025*    DWCONTRL     68-STYLE OVERRIDE:                              *MC08033
003026*                    PREV-CTRL                                    *MC08034
003027*    DWCONTRL     68-STYLE OVERRIDE:                              *MC08035
003028*                    NEW-CTRL                                     *MC08036
003029*    DWCONTRL     68-STYLE OVERRIDE:                              *MC08037
003030*                    DELTA-CNTL-REC                               *MC08038
003031*    DWCONTRL     68-STYLE OVERRIDE:                              *MC08039
003032*                    NEXTP-CNTL-REC                               *MC08040
003033*    DWCONTRL     68-STYLE OVERRIDE:                              *MC08041
003034*                    ERROR-CNTL-REC                               *MC08042
003035*    DWRUNPRM     68-STYLE OVERRIDE:                              *MC08043
003036*                    WS-RUN-PARAMS                                *MC08044
003037*    DWCONTRL     68-STYLE OVERRIDE:                              *MC08045
003038*                    WS-PREVCNTL-PARMS                            *MC08046
003039*    DWCONTRL     68-STYLE OVERRIDE:                              *MC08047
003040*                    WS-NEWCNTL-PARMS                             *MC08048
003041*    DWCONTRL     68-STYLE OVERRIDE:                              *MC08049
003042*                    WS-DELCNTL-PARMS                             *MC08050
003043*    DWCONTRL     68-STYLE OVERRIDE:                              *MC08051
003044*                    WS-NEXTPREV-PARMS                            *MC08052
003045*    DWCONTRL     68-STYLE OVERRIDE:                              *MC08053
003046*                    WS-ERROR-PARMS                               *MC08054
003047*    DWVVX200     68-STYLE OVERRIDE:                              *MC08055
003048*                    WS-PREV-REC                                  *MC08056
003049*    DWVVX200     68-STYLE OVERRIDE:                              *MC08057
003050*                    WS-NEW-REC                                   *MC08058
003051*    DWVVX200     68-STYLE OVERRIDE:                              *MC08059
003052*                    WS-NEXT-PREV                                 *MC08060
003053*    DWVVX201     68-STYLE OVERRIDE:                              *MC08061
003054*                    WS-NEW-METAC-REC                             *MC08062
003055*    DWVVX201     68-STYLE OVERRIDE:                              *MC08063
003056*                    WS-PREV-METAC-REC                            *MC08064
003057*    DWVVD200     68-STYLE OVERRIDE:                              *MC08065
003058*                    WS-DELTA-OUTPUT                              *MC08066
003059*    DWVVD201     68-STYLE OVERRIDE:                              *MC08067
003060*                    WS-DELTA-REC                                 *MC08068
003061                                                                  *MC08069
003062***********************************************************       *MC08070
003063*           SUMMARY OF COPY STATEMENTS                            *MC08071
003064***********************************************************       *MC08072
003065                                                                  *MC08073
003066*    DATA DIVISION COPIES:           23                           *MC08074
003067                                                                  *MC08075
003068                                                                  *MC08076
003069 EJECT                                                            *MC08077
003070                                                                  *MC08078
003071*************************************************                 *MC08079
003072*            MACROSETS REQUIRED                 *                 *MC08080
003073*************************************************                 *MC08081
003074                                                                  *MC08082
003075*    SC00AA    GLOBAL VARIABLES FOR ALL UTILITY MACROSETS         *MC08083
003076*    SC00BA    UTILITY ERROR HANDLING MACRO ROUTINES              *MC08084
003077*    SC00DA    MISCELLANEOUS UTILITY MACRO ROUTINES               *MC08085
003078*    SC00FW    UTILITY ID/ENV DIV/START-OF-RUN PROCESSING         *MC08086
003079*    SC00FX    UTILITY DATA DIVISION FACILITIES/CHECKS            *MC08087
003080*    SC00FY    UTILITY PROC DIVISION AND END-OF-RUN PROCESSING    *MC08088
003081*    SC00HA    UTILITY CONDITION PROCESSING/FORMATTING            *MC08089
003082*    SC00FA    UTILITY VALIDATION MACRO ROUTINES                  *MC08090
003083*    SC00HY    DATE MANIPULATION                                  *MC08091
003084*    SC06UL    APOLLO/CLIENT UTILITIES                            *MC08092
003085                                                                  *MC08093
003086*************************************************                 *MC08094
003087*        SUMMARY OF SOURCE ANALYSIS             *                 *MC08095
003088*************************************************                 *MC08096
003089                                                                  *MC08097
003090*    MACROSETS REQUIRED:     10                                   *MC08098
           EJECT
      ***********************************************************
      ***          MESSAGES ISSUED BY SWF MACROS              ***
      ***********************************************************

      * WRN: LINE 5768: THE FOLLOWING CODE MAY BE REPLACED
      *                  USING HEADER DIVISION MACROS - SEE WIMP ITEM SC00FW
      * WRN: LINE 7922: MNEMONIC SC00DA-1 ALLOCATED TO EXPRESSION
      *                  FREE DMY DATE SW-DATE-CREATED OF WS-PREV-METAC-REC
      * WRN: LINE 7922: IDENTIFIER SC00DA-1 UNDEFINED
      *                  - LEVEL 01 ENTRY CREATED
      * WRN: LINE 7937: MNEMONIC SC00DA-2 ALLOCATED TO EXPRESSION
      *                  FREE DMY DATE DSF-BIRTHDATE OF WS-PREV-METAC-REC
      * WRN: LINE 7937: IDENTIFIER SC00DA-2 UNDEFINED
      *                  - LEVEL 01 ENTRY CREATED
      * WRN: LINE 7985: MNEMONIC SC00DA-3 ALLOCATED TO EXPRESSION
      *                  FREE DMY DATE SW-DATE-CREATED OF WS-NEW-METAC-REC
      * WRN: LINE 7985: IDENTIFIER SC00DA-3 UNDEFINED
      *                  - LEVEL 01 ENTRY CREATED
      * WRN: LINE 8000: MNEMONIC SC00DA-4 ALLOCATED TO EXPRESSION
      *                  FREE DMY DATE DSF-BIRTHDATE OF WS-NEW-METAC-REC
      * WRN: LINE 8000: IDENTIFIER SC00DA-4 UNDEFINED
      *                  - LEVEL 01 ENTRY CREATED

      ***********************************************************
      ***  TRACE OF LOCAL VARIABLES GENERATED BY SWF MACROS   ***
      ***********************************************************

      * LINE 7922: FIRST USE OF LOCAL VBLE SC00DA-1 DEFINED ON LINE 7922
      * LINE 7937: FIRST USE OF LOCAL VBLE SC00DA-2 DEFINED ON LINE 7937
      * LINE 7985: FIRST USE OF LOCAL VBLE SC00DA-3 DEFINED ON LINE 7985
      * LINE 8000: FIRST USE OF LOCAL VBLE SC00DA-4 DEFINED ON LINE 8000


      ***********************************************************
      ***              SUMMARY OF TRANSLATION                 ***
      ***********************************************************

      *    SELECTIONS:          32
      *    ITERATIONS:          1

      *    LOCAL VARIABLES GENERATED      4
      *    OUT-OF-LINE CODE LABELS USED:  13

      *    WARNING MESSAGES ISSUED:       9

      ***********************************************************
      ***                  END OF SUMMARY                     ***
      ***********************************************************
